package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_1
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_1:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_1 : com.inprise.server.idl.ServerManagerService {
  ...
};
 * </pre>
 */
public interface ServerManagerService_v4_1Operations extends com.inprise.server.idl.ServerManagerServiceOperations {
  /**
   * <pre>
   *   void clearLog (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.DeleteError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public void clearLog (java.lang.String serviceName, 
                        java.lang.String logType) throws com.inprise.server.idl.ServerManagerServicePackage.DeleteError, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.UnknownName;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogNLines (in string serviceName,
                                                                           in string logType,
                                                                           in unsigned long startLine,
                                                                           in unsigned long maxNrLines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogNLines (java.lang.String serviceName, 
                                          java.lang.String logType, 
                                          int startLine, 
                                          int maxNrLines) throws com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.UnknownName;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogLastLines (in string serviceName,
                                                                              in string logType,
                                                                              in unsigned long maxNrLines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogLastLines (java.lang.String serviceName, 
                                             java.lang.String logType, 
                                             int maxNrLines) throws com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                    com.inprise.server.idl.ServerManagerServicePackage.UnknownName;

}
