package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService {
  ...
};
 * </pre>
 */
public class _ServerManagerServiceStub extends com.inprise.vbroker.CORBA.portable.ObjectImpl implements com.inprise.server.idl.ServerManagerService {
  final public static java.lang.Class _opsClass = com.inprise.server.idl.ServerManagerServiceOperations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/server/ServerManagerService:1.0"
  };

  /**
   * <pre>
   *   oneway void shutdown ();
   * </pre>
   */
  public void shutdown () {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("shutdown", false);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("shutdown", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.shutdown();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   unsigned short getServerState ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public short getServerState () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      short _result;
      try {
        _output = this._request("getServerState", true);
        _input = this._invoke(_output);
        _result = _input.read_ushort();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServerState", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        short _ret = _self.getServerState();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   oneway void stopNormalServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void stopNormalServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("stopNormalServer", false);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("stopNormalServer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.stopNormalServer();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   oneway void stopKillServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void stopKillServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("stopKillServer", false);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("stopKillServer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.stopKillServer();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   oneway void restartServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void restartServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("restartServer", false);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("restartServer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.restartServer();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   unsigned short getServiceState (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public short getServiceState (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      short _result;
      try {
        _output = this._request("getServiceState", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = _input.read_ushort();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceState", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        short _ret = _self.getServiceState(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean startService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean startService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("startService", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("startService", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        boolean _ret = _self.startService(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean restartService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean restartService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("restartService", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("restartService", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        boolean _ret = _self.restartService(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean stopNormalService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean stopNormalService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("stopNormalService", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("stopNormalService", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        boolean _ret = _self.stopNormalService(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean stopKillService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean stopKillService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("stopKillService", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("stopKillService", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        boolean _ret = _self.stopKillService(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerAboutProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerAboutProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServerAboutProperties", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServerAboutProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServerAboutProperties();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerEnvProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerEnvProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServerEnvProperties", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServerEnvProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServerEnvProperties();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerGroupProperties (in string propertyGroup)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerGroupProperties (java.lang.String propertyGroup) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServerGroupProperties", true);
        _output.write_string((java.lang.String)propertyGroup);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServerGroupProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServerGroupProperties(propertyGroup);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void setServerProperty (in string name, in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void setServerProperty (java.lang.String name, 
                                 java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("setServerProperty", true);
        _output.write_string((java.lang.String)name);
        _output.write_string((java.lang.String)value);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("setServerProperty", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.setServerProperty(name, value);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void addServerGroupProperty (in string propertyGroup, in string name,
                               in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addServerGroupProperty (java.lang.String propertyGroup, 
                                      java.lang.String name, 
                                      java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("addServerGroupProperty", true);
        _output.write_string((java.lang.String)propertyGroup);
        _output.write_string((java.lang.String)name);
        _output.write_string((java.lang.String)value);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("addServerGroupProperty", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.addServerGroupProperty(propertyGroup, name, value);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void removeServerGroupProperty (in string propertyGroup, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeServerGroupProperty (java.lang.String propertyGroup, 
                                         java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("removeServerGroupProperty", true);
        _output.write_string((java.lang.String)propertyGroup);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("removeServerGroupProperty", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.removeServerGroupProperty(propertyGroup, name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getServiceNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getServiceNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getServiceNames", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceNames", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getServiceNames();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getServiceNamesOfType (in string type)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getServiceNamesOfType (java.lang.String type) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getServiceNamesOfType", true);
        _output.write_string((java.lang.String)type);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceNamesOfType", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getServiceNamesOfType(type);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceAboutProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceAboutProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServiceAboutProperties", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceAboutProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServiceAboutProperties(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceEnvProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceEnvProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServiceEnvProperties", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceEnvProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServiceEnvProperties(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceGroupProperties (in string serviceName,
                                                                                                 in string propertyGroup)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceGroupProperties (java.lang.String serviceName, 
                                                                                                        java.lang.String propertyGroup) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServiceGroupProperties", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)propertyGroup);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceGroupProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServiceGroupProperties(serviceName, 
                                                                                                                   propertyGroup);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void addServiceGroupProperty (in string serviceName,
                                in string propertyGroup, in string name,
                                in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addServiceGroupProperty (java.lang.String serviceName, 
                                       java.lang.String propertyGroup, 
                                       java.lang.String name, 
                                       java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("addServiceGroupProperty", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)propertyGroup);
        _output.write_string((java.lang.String)name);
        _output.write_string((java.lang.String)value);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("addServiceGroupProperty", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.addServiceGroupProperty(serviceName, propertyGroup, name, value);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void removeServiceGroupProperty (in string serviceName,
                                   in string propertyGroup, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeServiceGroupProperty (java.lang.String serviceName, 
                                          java.lang.String propertyGroup, 
                                          java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("removeServiceGroupProperty", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)propertyGroup);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("removeServiceGroupProperty", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.removeServiceGroupProperty(serviceName, propertyGroup, name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void updateServiceProperties (in string serviceName,
                                in com.inprise.server.idl.ServerManagerServicePackage.StringProperties properties)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void updateServiceProperties (java.lang.String serviceName, 
                                       com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] properties) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                               com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("updateServiceProperties", true);
        _output.write_string((java.lang.String)serviceName);
        com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, properties);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("updateServiceProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.updateServiceProperties(serviceName, properties);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getEJBJars (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] getEJBJars (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                com.inprise.server.idl.ServerManagerServicePackage.ReadError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getEJBJars", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEJBJars", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getEJBJars(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Bytes readEJBJarFile (in string containerName,
                                                                           in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public byte[] readEJBJarFile (java.lang.String containerName, 
                                java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.ReadError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      byte[] _result;
      try {
        _output = this._request("readEJBJarFile", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("readEJBJarFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        byte[] _ret = _self.readEJBJarFile(containerName, name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void writeEJBJarFile (in string containerName, in string name,
                        in com.inprise.server.idl.ServerManagerServicePackage.Bytes bytes)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeEJBJarFile (java.lang.String containerName, 
                               java.lang.String name, 
                               byte[] bytes) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                     com.inprise.server.idl.ServerManagerServicePackage.WriteError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("writeEJBJarFile", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)name);
        com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.write(_output, bytes);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("writeEJBJarFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.writeEJBJarFile(containerName, name, bytes);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void removeEJBJarFile (in string containerName, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.DeleteError);
   * </pre>
   */
  public void removeEJBJarFile (java.lang.String containerName, 
                                java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.DeleteError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("removeEJBJarFile", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("removeEJBJarFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.removeEJBJarFile(containerName, name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.DeleteError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getEjbsInJar (in string containerName,
                                                                           in string jarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getEjbsInJar (java.lang.String containerName, 
                                          java.lang.String jarName) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getEjbsInJar", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)jarName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEjbsInJar", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getEjbsInJar(containerName, jarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   unsigned long getNrEJBRoleMapLines (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getNrEJBRoleMapLines (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      int _result;
      try {
        _output = this._request("getNrEJBRoleMapLines", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = _input.read_ulong();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getNrEJBRoleMapLines", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        int _ret = _self.getNrEJBRoleMapLines(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings readEJBRoleMap (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] readEJBRoleMap (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                                  com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("readEJBRoleMap", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("readEJBRoleMap", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.readEJBRoleMap(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void writeEJBRoleMap (in string serviceName,
                        in com.inprise.server.idl.ServerManagerServicePackage.Strings lines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.WriteError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public void writeEJBRoleMap (java.lang.String serviceName, 
                               java.lang.String[] lines) throws  com.inprise.server.idl.ServerManagerServicePackage.WriteError, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("writeEJBRoleMap", true);
        _output.write_string((java.lang.String)serviceName);
        com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, lines);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("writeEJBRoleMap", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.writeEJBRoleMap(serviceName, lines);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   unsigned long getNrJavaOptionFileLines ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public int getNrJavaOptionFileLines () throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      int _result;
      try {
        _output = this._request("getNrJavaOptionFileLines", true);
        _input = this._invoke(_output);
        _result = _input.read_ulong();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getNrJavaOptionFileLines", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        int _ret = _self.getNrJavaOptionFileLines();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings readJavaOptionFile ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] readJavaOptionFile () throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("readJavaOptionFile", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("readJavaOptionFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.readJavaOptionFile();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void writeJavaOptionFile (in com.inprise.server.idl.ServerManagerServicePackage.Strings lines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeJavaOptionFile (java.lang.String[] lines) throws  com.inprise.server.idl.ServerManagerServicePackage.WriteError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("writeJavaOptionFile", true);
        com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, lines);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("writeJavaOptionFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.writeJavaOptionFile(lines);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getRARs (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] getRARs (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                             com.inprise.server.idl.ServerManagerServicePackage.ReadError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getRARs", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getRARs", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getRARs(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Bytes readRARFile (in string containerName,
                                                                        in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public byte[] readRARFile (java.lang.String containerName, 
                             java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                            com.inprise.server.idl.ServerManagerServicePackage.ReadError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      byte[] _result;
      try {
        _output = this._request("readRARFile", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("readRARFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        byte[] _ret = _self.readRARFile(containerName, name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void writeRARFile (in string containerName, in string name,
                     in com.inprise.server.idl.ServerManagerServicePackage.Bytes bytes)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeRARFile (java.lang.String containerName, 
                            java.lang.String name, 
                            byte[] bytes) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                  com.inprise.server.idl.ServerManagerServicePackage.WriteError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("writeRARFile", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)name);
        com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.write(_output, bytes);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("writeRARFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.writeRARFile(containerName, name, bytes);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void removeRARFile (in string containerName, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.DeleteError);
   * </pre>
   */
  public void removeRARFile (java.lang.String containerName, 
                             java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                            com.inprise.server.idl.ServerManagerServicePackage.DeleteError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("removeRARFile", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("removeRARFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        _self.removeRARFile(containerName, name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.DeleteError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getConnectorsInRar (in string containerName,
                                                                                 in string jarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getConnectorsInRar (java.lang.String containerName, 
                                                java.lang.String jarName) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getConnectorsInRar", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)jarName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getConnectorsInRar", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getConnectorsInRar(containerName, jarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerStateProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerStateProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServerStateProperties", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServerStateProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServerStateProperties();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceStateProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceStateProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getServiceStateProperties", true);
        _output.write_string((java.lang.String)serviceName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getServiceStateProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getServiceStateProperties(serviceName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   unsigned long getLogTimestamp (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getLogTimestamp (java.lang.String serviceName, 
                              java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      int _result;
      try {
        _output = this._request("getLogTimestamp", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)logType);
        _input = this._invoke(_output);
        _result = _input.read_ulong();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getLogTimestamp", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        int _ret = _self.getLogTimestamp(serviceName, logType);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   unsigned long getNrLogLines (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getNrLogLines (java.lang.String serviceName, 
                            java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      int _result;
      try {
        _output = this._request("getNrLogLines", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)logType);
        _input = this._invoke(_output);
        _result = _input.read_ulong();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getNrLogLines", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        int _ret = _self.getNrLogLines(serviceName, logType);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogLines (in string serviceName,
                                                                          in string logType,
                                                                          in unsigned long startLine,
                                                                          in unsigned long endLine)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogLines (java.lang.String serviceName, 
                                         java.lang.String logType, 
                                         int startLine, 
                                         int endLine) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getLogLines", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)logType);
        _output.write_ulong((int)startLine);
        _output.write_ulong((int)endLine);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getLogLines", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getLogLines(serviceName, logType, startLine, 
                                                    endLine);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerStateProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerStateProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getEjbContainerStateProperties", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEjbContainerStateProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getEjbContainerStateProperties(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerSystemProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerSystemProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getEjbContainerSystemProperties", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEjbContainerSystemProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getEjbContainerSystemProperties(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerStatistics (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerStatistics (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getEjbContainerStatistics", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEjbContainerStatistics", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getEjbContainerStatistics(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerStateProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerStateProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getConnectorContainerStateProperties", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getConnectorContainerStateProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getConnectorContainerStateProperties(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerSystemProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerSystemProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getConnectorContainerSystemProperties", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getConnectorContainerSystemProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getConnectorContainerSystemProperties(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerStatistics (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerStatistics (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getConnectorContainerStatistics", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getConnectorContainerStatistics", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerServiceOperations _self = (com.inprise.server.idl.ServerManagerServiceOperations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getConnectorContainerStatistics(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

}
