package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_5
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_5:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_5 : com.inprise.server.idl.ServerManagerService_v4_1 {
  ...
};
 * </pre>
 */
public class _ServerManagerService_v4_5Stub extends com.inprise.server.idl._ServerManagerService_v4_1Stub implements com.inprise.server.idl.ServerManagerService_v4_5 {
  final public static java.lang.Class _opsClass = com.inprise.server.idl.ServerManagerService_v4_5Operations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/server/ServerManagerService_v4_5:1.0",
    "IDL:inprise.com/server/ServerManagerService_v4_1:1.0",
    "IDL:inprise.com/server/ServerManagerService:1.0"
  };

  /**
   * <pre>
   *   com.inprise.util.ncs.FileManager getFileManager ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.util.ncs.FileManager getFileManager () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.util.ncs.FileManager _result;
      try {
        _output = this._request("getFileManager", true);
        _input = this._invoke(_output);
        _result = com.inprise.util.ncs.FileManagerHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getFileManager", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.util.ncs.FileManager _ret = _self.getFileManager();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARNames", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARNames", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARNames();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void loadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEAR (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("loadEAR", true);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("loadEAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.loadEAR(earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void unloadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEAR (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("unloadEAR", true);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unloadEAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.unloadEAR(earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void reloadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEAR (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("reloadEAR", true);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reloadEAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.reloadEAR(earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEARProperties (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEARProperties (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getEARProperties", true);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEARProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getEARProperties(earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModules (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModules (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARModules", true);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARModules", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARModules(earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEARModuleProperties (in string earName,
                                                                                              in string moduleName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEARModuleProperties (java.lang.String earName, 
                                                                                                     java.lang.String moduleName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getEARModuleProperties", true);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)moduleName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getEARModuleProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getEARModuleProperties(earName, 
                                                                                                                moduleName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listRARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listRARNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listRARNames", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listRARNames", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listRARNames();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getRARProperties (in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getRARProperties (java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getRARProperties", true);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getRARProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getRARProperties(rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listJARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listJARNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listJARNames", true);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listJARNames", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listJARNames();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getJARProperties (in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getJARProperties (java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getJARProperties", true);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getJARProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getJARProperties(rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByWebContainer (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByWebContainer (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARsHostedByWebContainer", true);
        _output.write_string((java.lang.String)containerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARsHostedByWebContainer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARsHostedByWebContainer(containerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByWebContainer (in string containerName,
                                                                                                 in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByWebContainer (java.lang.String containerName, 
                                                                java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARModulesHostedByWebContainer", true);
        _output.write_string((java.lang.String)containerName);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARModulesHostedByWebContainer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARModulesHostedByWebContainer(containerName, 
                                                                           earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listWARNames (in string webContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listWARNames (java.lang.String webContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listWARNames", true);
        _output.write_string((java.lang.String)webContainerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listWARNames", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listWARNames(webContainerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getWARProperties (in string webContainerName,
                                                                                        in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getWARProperties (java.lang.String webContainerName, 
                                                                                               java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getWARProperties", true);
        _output.write_string((java.lang.String)webContainerName);
        _output.write_string((java.lang.String)warName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getWARProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getWARProperties(webContainerName, 
                                                                                                          warName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void loadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadWAR (java.lang.String webContainerName, 
                       java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("loadWAR", true);
        _output.write_string((java.lang.String)webContainerName);
        _output.write_string((java.lang.String)warName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("loadWAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.loadWAR(webContainerName, warName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void unloadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadWAR (java.lang.String webContainerName, 
                         java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("unloadWAR", true);
        _output.write_string((java.lang.String)webContainerName);
        _output.write_string((java.lang.String)warName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unloadWAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.unloadWAR(webContainerName, warName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void reloadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadWAR (java.lang.String webContainerName, 
                         java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("reloadWAR", true);
        _output.write_string((java.lang.String)webContainerName);
        _output.write_string((java.lang.String)warName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reloadWAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.reloadWAR(webContainerName, warName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void loadEJBJar (in string ejbContainerName, in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEJBJar (java.lang.String ejbContainerName, 
                          java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("loadEJBJar", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)ejbJarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("loadEJBJar", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.loadEJBJar(ejbContainerName, ejbJarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void unloadEJBJar (in string ejbContainerName, in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEJBJar (java.lang.String ejbContainerName, 
                            java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("unloadEJBJar", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)ejbJarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unloadEJBJar", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.unloadEJBJar(ejbContainerName, ejbJarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void reloadEJBJar (in string ejbContainerName, in string ejbjarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEJBJar (java.lang.String ejbContainerName, 
                            java.lang.String ejbjarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("reloadEJBJar", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)ejbjarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reloadEJBJar", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.reloadEJBJar(ejbContainerName, ejbjarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void loadEAREJBModule (in string ejbContainerName, in string earName,
                         in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEAREJBModule (java.lang.String ejbContainerName, 
                                java.lang.String earName, 
                                java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("loadEAREJBModule", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)ejbJarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("loadEAREJBModule", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.loadEAREJBModule(ejbContainerName, earName, ejbJarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void unloadEAREJBModule (in string ejbContainerName, in string earName,
                           in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEAREJBModule (java.lang.String ejbContainerName, 
                                  java.lang.String earName, 
                                  java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("unloadEAREJBModule", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)ejbJarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unloadEAREJBModule", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.unloadEAREJBModule(ejbContainerName, earName, ejbJarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void reloadEAREJBModule (in string ejbContainerName, in string earName,
                           in string ejbjarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEAREJBModule (java.lang.String ejbContainerName, 
                                  java.lang.String earName, 
                                  java.lang.String ejbjarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("reloadEAREJBModule", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)ejbjarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reloadEAREJBModule", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.reloadEAREJBModule(ejbContainerName, earName, ejbjarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByEJBContainer (in string ejbContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByEJBContainer (java.lang.String ejbContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARsHostedByEJBContainer", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARsHostedByEJBContainer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARsHostedByEJBContainer(ejbContainerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByEJBContainer (in string ejbContainerName,
                                                                                                 in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByEJBContainer (java.lang.String ejbContainerName, 
                                                                java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARModulesHostedByEJBContainer", true);
        _output.write_string((java.lang.String)ejbContainerName);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARModulesHostedByEJBContainer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARModulesHostedByEJBContainer(ejbContainerName, 
                                                                           earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listTomcat3Connectors (in string tomcat3ContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listTomcat3Connectors (java.lang.String tomcat3ContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listTomcat3Connectors", true);
        _output.write_string((java.lang.String)tomcat3ContainerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listTomcat3Connectors", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listTomcat3Connectors(tomcat3ContainerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void addTomcat3Connector (in string tomcat3ContainerName,
                            in string connectorKey,
                            in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addTomcat3Connector (java.lang.String tomcat3ContainerName, 
                                   java.lang.String connectorKey, 
                                   com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("addTomcat3Connector", true);
        _output.write_string((java.lang.String)tomcat3ContainerName);
        _output.write_string((java.lang.String)connectorKey);
        com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, props);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("addTomcat3Connector", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.addTomcat3Connector(tomcat3ContainerName, connectorKey, props);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void removeTomcat3Connector (in string tomcat3ContainerName,
                               in string connectorKey)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeTomcat3Connector (java.lang.String tomcat3ContainerName, 
                                      java.lang.String connectorKey) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                             com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("removeTomcat3Connector", true);
        _output.write_string((java.lang.String)tomcat3ContainerName);
        _output.write_string((java.lang.String)connectorKey);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("removeTomcat3Connector", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.removeTomcat3Connector(tomcat3ContainerName, connectorKey);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                                                                                     in string connectorKey)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                                                                                            java.lang.String connectorKey) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                   com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result;
      try {
        _output = this._request("getTomcat3ConnectorProperties", true);
        _output.write_string((java.lang.String)tomcat3ContainerName);
        _output.write_string((java.lang.String)connectorKey);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getTomcat3ConnectorProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _ret = _self.getTomcat3ConnectorProperties(tomcat3ContainerName, 
                                                                                                                       connectorKey);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   void setTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                      in string connectorKey,
                                      in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void setTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                             java.lang.String connectorKey, 
                                             com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("setTomcat3ConnectorProperties", true);
        _output.write_string((java.lang.String)tomcat3ContainerName);
        _output.write_string((java.lang.String)connectorKey);
        com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, props);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("setTomcat3ConnectorProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.setTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey, 
                                            props);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void removeTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                         in string connectorKey,
                                         in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                                java.lang.String connectorKey, 
                                                com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                   com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("removeTomcat3ConnectorProperties", true);
        _output.write_string((java.lang.String)tomcat3ContainerName);
        _output.write_string((java.lang.String)connectorKey);
        com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, props);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("removeTomcat3ConnectorProperties", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.removeTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey, 
                                               props);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void loadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadRAR (java.lang.String connectorContainerName, 
                       java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("loadRAR", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("loadRAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.loadRAR(connectorContainerName, rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void unloadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadRAR (java.lang.String connectorContainerName, 
                         java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("unloadRAR", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unloadRAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.unloadRAR(connectorContainerName, rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void reloadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadRAR (java.lang.String connectorContainerName, 
                         java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("reloadRAR", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reloadRAR", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.reloadRAR(connectorContainerName, rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void loadEARConnectorModule (in string connectorContainerName,
                               in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEARConnectorModule (java.lang.String connectorContainerName, 
                                      java.lang.String earName, 
                                      java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("loadEARConnectorModule", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("loadEARConnectorModule", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.loadEARConnectorModule(connectorContainerName, earName, rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void unloadEARConnectorModule (in string connectorContainerName,
                                 in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEARConnectorModule (java.lang.String connectorContainerName, 
                                        java.lang.String earName, 
                                        java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("unloadEARConnectorModule", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unloadEARConnectorModule", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.unloadEARConnectorModule(connectorContainerName, earName, rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   void reloadEARConnectorModule (in string connectorContainerName,
                                 in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEARConnectorModule (java.lang.String connectorContainerName, 
                                        java.lang.String earName, 
                                        java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("reloadEARConnectorModule", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)earName);
        _output.write_string((java.lang.String)rarName);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reloadEARConnectorModule", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        _self.reloadEARConnectorModule(connectorContainerName, earName, rarName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByConnectorContainer (in string connectorContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByConnectorContainer (java.lang.String connectorContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARsHostedByConnectorContainer", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARsHostedByConnectorContainer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARsHostedByConnectorContainer(connectorContainerName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByConnectorContainer (in string connectorContainerName,
                                                                                                       in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByConnectorContainer (java.lang.String connectorContainerName, 
                                                                      java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("listEARModulesHostedByConnectorContainer", true);
        _output.write_string((java.lang.String)connectorContainerName);
        _output.write_string((java.lang.String)earName);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listEARModulesHostedByConnectorContainer", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_5Operations _self = (com.inprise.server.idl.ServerManagerService_v4_5Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.listEARModulesHostedByConnectorContainer(connectorContainerName, 
                                                                                 earName);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

}
