package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileAttr
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileAttr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * struct FileAttr {
  ...
};
 * </pre>
 */
public final class FileAttrHelper {
  private static boolean _inited = false;
  private static boolean _initing = false;
  private static org.omg.CORBA.TypeCode _type;
  private static boolean _initializing;

  private static org.omg.CORBA.ORB _orb () {
    return org.omg.CORBA.ORB.init();
  }

  public static com.inprise.util.ncs.FileAttr read (final org.omg.CORBA.portable.InputStream _input) {
    final com.inprise.util.ncs.FileAttr _result = new com.inprise.util.ncs.FileAttr();
    _result.name = _input.read_string();
    _result.path = _input.read_string();
    _result.CanonicalPath = _input.read_string();
    _result.parent = _input.read_string();
    _result.canRead = _input.read_boolean();
    _result.canWrite = _input.read_boolean();
    _result.isHidden = _input.read_boolean();
    _result.isFile = _input.read_boolean();
    _result.isDirectory = _input.read_boolean();
    _result.lastModified = _input.read_longlong();
    _result.length = _input.read_longlong();
    return _result;
  }

  public static void write (final org.omg.CORBA.portable.OutputStream _output, final com.inprise.util.ncs.FileAttr _vis_value) {
    _output.write_string((java.lang.String)_vis_value.name);
    _output.write_string((java.lang.String)_vis_value.path);
    _output.write_string((java.lang.String)_vis_value.CanonicalPath);
    _output.write_string((java.lang.String)_vis_value.parent);
    _output.write_boolean((boolean)_vis_value.canRead);
    _output.write_boolean((boolean)_vis_value.canWrite);
    _output.write_boolean((boolean)_vis_value.isHidden);
    _output.write_boolean((boolean)_vis_value.isFile);
    _output.write_boolean((boolean)_vis_value.isDirectory);
    _output.write_longlong((long)_vis_value.lastModified);
    _output.write_longlong((long)_vis_value.length);
  }

  public static void insert (final org.omg.CORBA.Any any, final com.inprise.util.ncs.FileAttr _vis_value) {
    any.insert_Streamable(new com.inprise.util.ncs.FileAttrHolder(_vis_value));
  }

  public static com.inprise.util.ncs.FileAttr extract (final org.omg.CORBA.Any any) {
    com.inprise.util.ncs.FileAttr _vis_value;
    if (any instanceof com.inprise.vbroker.CORBA.Any) {
      com.inprise.util.ncs.FileAttrHolder _vis_holder = new com.inprise.util.ncs.FileAttrHolder();
      ((com.inprise.vbroker.CORBA.Any)any).extract_Streamable(_vis_holder);
      _vis_value = _vis_holder.value;
    }
    else {
      _vis_value = com.inprise.util.ncs.FileAttrHelper.read(any.create_input_stream());
    }
    return _vis_value;
  }

  public static org.omg.CORBA.TypeCode type () {
    if (_type == null) {
      synchronized (org.omg.CORBA.TypeCode.class) {
        if (_type == null) {
          if (_initializing) {
            return _orb().create_recursive_tc(id());
          }
          _initializing = true;
          final org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[11];
          members[0] = new org.omg.CORBA.StructMember("name", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
          members[1] = new org.omg.CORBA.StructMember("path", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
          members[2] = new org.omg.CORBA.StructMember("CanonicalPath", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
          members[3] = new org.omg.CORBA.StructMember("parent", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
          members[4] = new org.omg.CORBA.StructMember("canRead", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
          members[5] = new org.omg.CORBA.StructMember("canWrite", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
          members[6] = new org.omg.CORBA.StructMember("isHidden", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
          members[7] = new org.omg.CORBA.StructMember("isFile", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
          members[8] = new org.omg.CORBA.StructMember("isDirectory", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
          members[9] = new org.omg.CORBA.StructMember("lastModified", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_longlong), null);
          members[10] = new org.omg.CORBA.StructMember("length", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_longlong), null);
          _type = _orb().create_struct_tc(id(), "FileAttr", members);
          _initializing = false;
        }
      }
    }
    return _type;
  }

  public static java.lang.String id () {
    return "IDL:inprise.com/util/ncs/FileAttr:1.0";
  }
}
