package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileManager
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileManager:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileManager {
  ...
};
 * </pre>
 */
public abstract class FileManagerPOA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, com.inprise.util.ncs.FileManagerOperations {

  public com.inprise.util.ncs.FileManager _this () {
   return com.inprise.util.ncs.FileManagerHelper.narrow(super._this_object());
  }

  public com.inprise.util.ncs.FileManager _this (org.omg.CORBA.ORB orb) {
    return com.inprise.util.ncs.FileManagerHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _ids () {
    return __ids;
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/util/ncs/FileManager:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("register", new int[] { 0, 0 });
    _methods.put("deregister", new int[] { 0, 1 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return com.inprise.util.ncs.FileManagerPOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (com.inprise.util.ncs.FileManagerOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
      java.lang.String name;
      name = _input.read_string();
      com.inprise.util.ncs.Navigator _result = _self.register(name);
      _output = _handler.createReply();
      com.inprise.util.ncs.NavigatorHelper.write(_output, _result);
      return _output;
    }
    case 1: {
      com.inprise.util.ncs.Navigator handle;
      handle = com.inprise.util.ncs.NavigatorHelper.read(_input);
      boolean _result = _self.deregister(handle);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
