package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileManager
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileManager:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileManager {
  ...
};
 * </pre>
 */
public class _FileManagerStub extends com.inprise.vbroker.CORBA.portable.ObjectImpl implements com.inprise.util.ncs.FileManager {
  final public static java.lang.Class _opsClass = com.inprise.util.ncs.FileManagerOperations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/util/ncs/FileManager:1.0"
  };

  /**
   * <pre>
   *   com.inprise.util.ncs.Navigator register (in string name);
   * </pre>
   */
  public com.inprise.util.ncs.Navigator register (java.lang.String name) {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.util.ncs.Navigator _result;
      try {
        _output = this._request("register", true);
        _output.write_string((java.lang.String)name);
        _input = this._invoke(_output);
        _result = com.inprise.util.ncs.NavigatorHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("register", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.FileManagerOperations _self = (com.inprise.util.ncs.FileManagerOperations)_so.servant;
      try {
        com.inprise.util.ncs.Navigator _ret = _self.register(name);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean deregister (in com.inprise.util.ncs.Navigator handle);
   * </pre>
   */
  public boolean deregister (com.inprise.util.ncs.Navigator handle) {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("deregister", true);
        com.inprise.util.ncs.NavigatorHelper.write(_output, handle);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("deregister", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.FileManagerOperations _self = (com.inprise.util.ncs.FileManagerOperations)_so.servant;
      try {
        boolean _ret = _self.deregister(handle);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

}
