package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::Navigator
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/Navigator:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Navigator {
  ...
};
 * </pre>
 */
public class _NavigatorStub extends com.inprise.vbroker.CORBA.portable.ObjectImpl implements com.inprise.util.ncs.Navigator {
  final public static java.lang.Class _opsClass = com.inprise.util.ncs.NavigatorOperations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/util/ncs/Navigator:1.0"
  };

  /**
   * <pre>
   *   com.inprise.util.ncs.FileInstance open (in string filename, in string mode)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public com.inprise.util.ncs.FileInstance open (java.lang.String filename, 
                                                 java.lang.String mode) throws  com.inprise.util.ncs.BadState, 
                                                                                com.inprise.util.ncs.FileAccessError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.util.ncs.FileInstance _result;
      try {
        _output = this._request("open", true);
        _output.write_string((java.lang.String)filename);
        _output.write_string((java.lang.String)mode);
        _input = this._invoke(_output);
        _result = com.inprise.util.ncs.FileInstanceHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("open", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        com.inprise.util.ncs.FileInstance _ret = _self.open(filename, mode);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.util.ncs.FileInstance openInFolder (in string foldername,
                                                  in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public com.inprise.util.ncs.FileInstance openInFolder (java.lang.String foldername, 
                                                         java.lang.String filename) throws  com.inprise.util.ncs.BadState, 
                                                                                            com.inprise.util.ncs.FileAccessError, 
                                                                                            com.inprise.util.ncs.FileTypeError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.util.ncs.FileInstance _result;
      try {
        _output = this._request("openInFolder", true);
        _output.write_string((java.lang.String)foldername);
        _output.write_string((java.lang.String)filename);
        _input = this._invoke(_output);
        _result = com.inprise.util.ncs.FileInstanceHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileTypeErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileTypeErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("openInFolder", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        com.inprise.util.ncs.FileInstance _ret = _self.openInFolder(foldername, 
                                                                    filename);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.util.ncs.FileTypeError x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean release (in com.inprise.util.ncs.FileInstance inst)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public boolean release (com.inprise.util.ncs.FileInstance inst) throws  com.inprise.util.ncs.BadState, 
                                                                          com.inprise.util.ncs.FileAccessError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("release", true);
        com.inprise.util.ncs.FileInstanceHelper.write(_output, inst);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("release", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.release(inst);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean reset (in com.inprise.util.ncs.FileInstance inst);
   * </pre>
   */
  public boolean reset (com.inprise.util.ncs.FileInstance inst) {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("reset", true);
        com.inprise.util.ncs.FileInstanceHelper.write(_output, inst);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("reset", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.reset(inst);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean cd (in string folder)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public boolean cd (java.lang.String folder) throws  com.inprise.util.ncs.BadState, 
                                                      com.inprise.util.ncs.FileAccessError, 
                                                      com.inprise.util.ncs.FileTypeError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("cd", true);
        _output.write_string((java.lang.String)folder);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileTypeErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileTypeErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("cd", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.cd(folder);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.util.ncs.FileTypeError x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   string pwd ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String pwd () throws  com.inprise.util.ncs.BadState {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String _result;
      try {
        _output = this._request("pwd", true);
        _input = this._invoke(_output);
        _result = _input.read_string();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("pwd", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        java.lang.String _ret = _self.pwd();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.util.ncs.strings list ()
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public java.lang.String[] list () throws  com.inprise.util.ncs.BadState, 
                                            com.inprise.util.ncs.FileAccessError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("list", true);
        _input = this._invoke(_output);
        _result = com.inprise.util.ncs.stringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("list", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        java.lang.String[] _ret = _self.list();
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.util.ncs.FileAttr getAttr (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public com.inprise.util.ncs.FileAttr getAttr (java.lang.String filename) throws  com.inprise.util.ncs.BadState, 
                                                                                   com.inprise.util.ncs.FileAccessError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      com.inprise.util.ncs.FileAttr _result;
      try {
        _output = this._request("getAttr", true);
        _output.write_string((java.lang.String)filename);
        _input = this._invoke(_output);
        _result = com.inprise.util.ncs.FileAttrHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getAttr", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        com.inprise.util.ncs.FileAttr _ret = _self.getAttr(filename);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean isFolder (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public boolean isFolder (java.lang.String filename) throws  com.inprise.util.ncs.BadState, 
                                                              com.inprise.util.ncs.FileAccessError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("isFolder", true);
        _output.write_string((java.lang.String)filename);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("isFolder", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.isFolder(filename);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean isFile (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public boolean isFile (java.lang.String filename) throws  com.inprise.util.ncs.BadState, 
                                                            com.inprise.util.ncs.FileAccessError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("isFile", true);
        _output.write_string((java.lang.String)filename);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("isFile", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.isFile(filename);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean mkdir (in string foldername)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public boolean mkdir (java.lang.String foldername) throws  com.inprise.util.ncs.BadState, 
                                                             com.inprise.util.ncs.FileAccessError, 
                                                             com.inprise.util.ncs.FileTypeError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("mkdir", true);
        _output.write_string((java.lang.String)foldername);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileTypeErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileTypeErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("mkdir", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.mkdir(foldername);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.util.ncs.FileTypeError x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean rm (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public boolean rm (java.lang.String filename) throws  com.inprise.util.ncs.BadState, 
                                                        com.inprise.util.ncs.FileAccessError, 
                                                        com.inprise.util.ncs.FileTypeError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("rm", true);
        _output.write_string((java.lang.String)filename);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileTypeErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileTypeErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("rm", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.rm(filename);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.util.ncs.FileTypeError x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   boolean unpack (in string jarfile, in string foldername)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError,
            com.inprise.util.ncs.UnpackError);
   * </pre>
   */
  public boolean unpack (java.lang.String jarfile, 
                         java.lang.String foldername) throws  com.inprise.util.ncs.BadState, 
                                                              com.inprise.util.ncs.FileAccessError, 
                                                              com.inprise.util.ncs.FileTypeError, 
                                                              com.inprise.util.ncs.UnpackError {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      boolean _result;
      try {
        _output = this._request("unpack", true);
        _output.write_string((java.lang.String)jarfile);
        _output.write_string((java.lang.String)foldername);
        _input = this._invoke(_output);
        _result = _input.read_boolean();
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.util.ncs.BadStateHelper.id())) {
          throw           com.inprise.util.ncs.BadStateHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileAccessErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileAccessErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.FileTypeErrorHelper.id())) {
          throw           com.inprise.util.ncs.FileTypeErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.util.ncs.UnpackErrorHelper.id())) {
          throw           com.inprise.util.ncs.UnpackErrorHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("unpack", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.util.ncs.NavigatorOperations _self = (com.inprise.util.ncs.NavigatorOperations)_so.servant;
      try {
        boolean _ret = _self.unpack(jarfile, foldername);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.util.ncs.BadState x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.util.ncs.FileAccessError x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (com.inprise.util.ncs.FileTypeError x_3) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_3);
        }
        throw x_3;
      } catch (com.inprise.util.ncs.UnpackError x_4) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_4);
        }
        throw x_4;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

}
