package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileManager
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileManager:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileManager {
  ...
};
 * </pre>
 */
public class _tie_FileManager extends _FileManagerImplBase {
  private FileManagerOperations _delegate;

  public _tie_FileManager (final FileManagerOperations _delegate, final java.lang.String name) {
    super(name);
    this._delegate = _delegate;
  }

  public _tie_FileManager (final FileManagerOperations _delegate) {
    this._delegate = _delegate;
  }

  public FileManagerOperations _delegate () {
    return this._delegate;
  }

  /**
   * <pre>
   *   com.inprise.util.ncs.Navigator register (in string name);
   * </pre>
   */
  public com.inprise.util.ncs.Navigator register (java.lang.String name) {
    return this._delegate.register(name);
  }

  /**
   * <pre>
   *   boolean deregister (in com.inprise.util.ncs.Navigator handle);
   * </pre>
   */
  public boolean deregister (com.inprise.util.ncs.Navigator handle) {
    return this._delegate.deregister(handle);
  }

}
