package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService {
  ...
};
 * </pre>
 */
public abstract class ServerManagerServicePOA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, com.inprise.server.idl.ServerManagerServiceOperations {

  public com.inprise.server.idl.ServerManagerService _this () {
   return com.inprise.server.idl.ServerManagerServiceHelper.narrow(super._this_object());
  }

  public com.inprise.server.idl.ServerManagerService _this (org.omg.CORBA.ORB orb) {
    return com.inprise.server.idl.ServerManagerServiceHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _ids () {
    return __ids;
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/server/ServerManagerService:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("shutdown", new int[] { 0, 0 });
    _methods.put("getServerState", new int[] { 0, 1 });
    _methods.put("stopNormalServer", new int[] { 0, 2 });
    _methods.put("stopKillServer", new int[] { 0, 3 });
    _methods.put("restartServer", new int[] { 0, 4 });
    _methods.put("getServiceState", new int[] { 0, 5 });
    _methods.put("startService", new int[] { 0, 6 });
    _methods.put("restartService", new int[] { 0, 7 });
    _methods.put("stopNormalService", new int[] { 0, 8 });
    _methods.put("stopKillService", new int[] { 0, 9 });
    _methods.put("getServerAboutProperties", new int[] { 0, 10 });
    _methods.put("getServerEnvProperties", new int[] { 0, 11 });
    _methods.put("getServerGroupProperties", new int[] { 0, 12 });
    _methods.put("setServerProperty", new int[] { 0, 13 });
    _methods.put("addServerGroupProperty", new int[] { 0, 14 });
    _methods.put("removeServerGroupProperty", new int[] { 0, 15 });
    _methods.put("getServiceNames", new int[] { 0, 16 });
    _methods.put("getServiceNamesOfType", new int[] { 0, 17 });
    _methods.put("getServiceAboutProperties", new int[] { 0, 18 });
    _methods.put("getServiceEnvProperties", new int[] { 0, 19 });
    _methods.put("getServiceGroupProperties", new int[] { 0, 20 });
    _methods.put("addServiceGroupProperty", new int[] { 0, 21 });
    _methods.put("removeServiceGroupProperty", new int[] { 0, 22 });
    _methods.put("updateServiceProperties", new int[] { 0, 23 });
    _methods.put("getEJBJars", new int[] { 0, 24 });
    _methods.put("readEJBJarFile", new int[] { 0, 25 });
    _methods.put("writeEJBJarFile", new int[] { 0, 26 });
    _methods.put("removeEJBJarFile", new int[] { 0, 27 });
    _methods.put("getEjbsInJar", new int[] { 0, 28 });
    _methods.put("getNrEJBRoleMapLines", new int[] { 0, 29 });
    _methods.put("readEJBRoleMap", new int[] { 0, 30 });
    _methods.put("writeEJBRoleMap", new int[] { 0, 31 });
    _methods.put("getNrJavaOptionFileLines", new int[] { 0, 32 });
    _methods.put("readJavaOptionFile", new int[] { 0, 33 });
    _methods.put("writeJavaOptionFile", new int[] { 0, 34 });
    _methods.put("getRARs", new int[] { 0, 35 });
    _methods.put("readRARFile", new int[] { 0, 36 });
    _methods.put("writeRARFile", new int[] { 0, 37 });
    _methods.put("removeRARFile", new int[] { 0, 38 });
    _methods.put("getConnectorsInRar", new int[] { 0, 39 });
    _methods.put("getServerStateProperties", new int[] { 0, 40 });
    _methods.put("getServiceStateProperties", new int[] { 0, 41 });
    _methods.put("getLogTimestamp", new int[] { 0, 42 });
    _methods.put("getNrLogLines", new int[] { 0, 43 });
    _methods.put("getLogLines", new int[] { 0, 44 });
    _methods.put("getEjbContainerStateProperties", new int[] { 0, 45 });
    _methods.put("getEjbContainerSystemProperties", new int[] { 0, 46 });
    _methods.put("getEjbContainerStatistics", new int[] { 0, 47 });
    _methods.put("getConnectorContainerStateProperties", new int[] { 0, 48 });
    _methods.put("getConnectorContainerSystemProperties", new int[] { 0, 49 });
    _methods.put("getConnectorContainerStatistics", new int[] { 0, 50 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return com.inprise.server.idl.ServerManagerServicePOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (com.inprise.server.idl.ServerManagerServiceOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
      _self.shutdown();
      return _output;
    }
    case 1: {
    try {
      short _result = _self.getServerState();
      _output = _handler.createReply();
      _output.write_ushort((short)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 2: {
    try {
      _self.stopNormalServer();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 3: {
    try {
      _self.stopKillServer();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 4: {
    try {
      _self.restartServer();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 5: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      short _result = _self.getServiceState(serviceName);
      _output = _handler.createReply();
      _output.write_ushort((short)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 6: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      boolean _result = _self.startService(serviceName);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 7: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      boolean _result = _self.restartService(serviceName);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 8: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      boolean _result = _self.stopNormalService(serviceName);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 9: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      boolean _result = _self.stopKillService(serviceName);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.NotSupported _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.NotSupportedHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 10: {
    try {
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServerAboutProperties();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 11: {
    try {
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServerEnvProperties();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 12: {
    try {
      java.lang.String propertyGroup;
      propertyGroup = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServerGroupProperties(propertyGroup);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 13: {
    try {
      java.lang.String name;
      name = _input.read_string();
      java.lang.String value;
      value = _input.read_string();
      _self.setServerProperty(name, value);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 14: {
    try {
      java.lang.String propertyGroup;
      propertyGroup = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      java.lang.String value;
      value = _input.read_string();
      _self.addServerGroupProperty(propertyGroup, name, value);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 15: {
    try {
      java.lang.String propertyGroup;
      propertyGroup = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      _self.removeServerGroupProperty(propertyGroup, name);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 16: {
    try {
      java.lang.String[] _result = _self.getServiceNames();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 17: {
    try {
      java.lang.String type;
      type = _input.read_string();
      java.lang.String[] _result = _self.getServiceNamesOfType(type);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 18: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServiceAboutProperties(serviceName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 19: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServiceEnvProperties(serviceName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 20: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String propertyGroup;
      propertyGroup = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServiceGroupProperties(serviceName, 
                                                                                                                    propertyGroup);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 21: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String propertyGroup;
      propertyGroup = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      java.lang.String value;
      value = _input.read_string();
      _self.addServiceGroupProperty(serviceName, propertyGroup, name, value);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 22: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String propertyGroup;
      propertyGroup = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      _self.removeServiceGroupProperty(serviceName, propertyGroup, name);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 23: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] properties;
      properties = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
      _self.updateServiceProperties(serviceName, properties);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 24: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String[] _result = _self.getEJBJars(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 25: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      byte[] _result = _self.readEJBJarFile(containerName, name);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 26: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      byte[] bytes;
      bytes = com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.read(_input);
      _self.writeEJBJarFile(containerName, name, bytes);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 27: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      _self.removeEJBJarFile(containerName, name);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.DeleteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 28: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String jarName;
      jarName = _input.read_string();
      java.lang.String[] _result = _self.getEjbsInJar(containerName, jarName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 29: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      int _result = _self.getNrEJBRoleMapLines(serviceName);
      _output = _handler.createReply();
      _output.write_ulong((int)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 30: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String[] _result = _self.readEJBRoleMap(serviceName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 31: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String[] lines;
      lines = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
      _self.writeEJBRoleMap(serviceName, lines);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 32: {
    try {
      int _result = _self.getNrJavaOptionFileLines();
      _output = _handler.createReply();
      _output.write_ulong((int)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 33: {
    try {
      java.lang.String[] _result = _self.readJavaOptionFile();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 34: {
    try {
      java.lang.String[] lines;
      lines = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
      _self.writeJavaOptionFile(lines);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 35: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String[] _result = _self.getRARs(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 36: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      byte[] _result = _self.readRARFile(containerName, name);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 37: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      byte[] bytes;
      bytes = com.inprise.server.idl.ServerManagerServicePackage.BytesHelper.read(_input);
      _self.writeRARFile(containerName, name, bytes);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.WriteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.WriteErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 38: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String name;
      name = _input.read_string();
      _self.removeRARFile(containerName, name);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.DeleteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 39: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String jarName;
      jarName = _input.read_string();
      java.lang.String[] _result = _self.getConnectorsInRar(containerName, jarName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 40: {
    try {
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServerStateProperties();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 41: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getServiceStateProperties(serviceName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 42: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String logType;
      logType = _input.read_string();
      int _result = _self.getLogTimestamp(serviceName, logType);
      _output = _handler.createReply();
      _output.write_ulong((int)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 43: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String logType;
      logType = _input.read_string();
      int _result = _self.getNrLogLines(serviceName, logType);
      _output = _handler.createReply();
      _output.write_ulong((int)_result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 44: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String logType;
      logType = _input.read_string();
      int startLine;
      startLine = _input.read_ulong();
      int endLine;
      endLine = _input.read_ulong();
      java.lang.String[] _result = _self.getLogLines(serviceName, logType, startLine, 
                                                     endLine);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 45: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getEjbContainerStateProperties(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 46: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getEjbContainerSystemProperties(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 47: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getEjbContainerStatistics(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 48: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getConnectorContainerStateProperties(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 49: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getConnectorContainerSystemProperties(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 50: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getConnectorContainerStatistics(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
