package com.inprise.server.idl.ServerManagerServicePackage;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService::ReadError
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService/ReadError:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * exception ReadError {
  ...
};
 * </pre>
 */
public final class ReadError extends org.omg.CORBA.UserException {
  
  public java.lang.String reason;

  public ReadError () {
    super(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id());
  }

  public ReadError (java.lang.String reason) {
    this();
    this.reason = reason;
  }

  public ReadError (java.lang.String _reason, java.lang.String reason) {
    super(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id() + ' ' + _reason);
    this.reason = reason;
  }

  public java.lang.String toString () {
    final java.lang.StringBuffer _ret = new java.lang.StringBuffer("exception com.inprise.server.idl.ServerManagerServicePackage.ReadError {");
    _ret.append("\n");
    _ret.append("java.lang.String reason=");
    _ret.append(reason != null?'\"' + reason + '\"':null);
    _ret.append("\n");
    _ret.append("}");
    return _ret.toString();
  }

  public boolean equals (java.lang.Object o) {
    if (this == o) return true;
    if (o == null) return false;
    if (o instanceof com.inprise.server.idl.ServerManagerServicePackage.ReadError) {
      final com.inprise.server.idl.ServerManagerServicePackage.ReadError obj = (com.inprise.server.idl.ServerManagerServicePackage.ReadError)o;
      boolean res = true;
      do {
        res = this.reason == obj.reason ||
         (this.reason != null && obj.reason != null && this.reason.equals(obj.reason));
      } while (false);
      return res;
    }
    else {
      return false;
    }
  }
}
