package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_1
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_1:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_1 : com.inprise.server.idl.ServerManagerService {
  ...
};
 * </pre>
 */
public abstract class ServerManagerService_v4_1POA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, com.inprise.server.idl.ServerManagerService_v4_1Operations {

  public com.inprise.server.idl.ServerManagerService_v4_1 _this () {
   return com.inprise.server.idl.ServerManagerService_v4_1Helper.narrow(super._this_object());
  }

  public com.inprise.server.idl.ServerManagerService_v4_1 _this (org.omg.CORBA.ORB orb) {
    return com.inprise.server.idl.ServerManagerService_v4_1Helper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _ids () {
    return __ids;
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/server/ServerManagerService_v4_1:1.0",
    "IDL:inprise.com/server/ServerManagerService:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("clearLog", new int[] { 0, 0 });
    _methods.put("getLogNLines", new int[] { 0, 1 });
    _methods.put("getLogLastLines", new int[] { 0, 2 });
    _methods.put("shutdown", new int[] { 1, 0 });
    _methods.put("getServerState", new int[] { 1, 1 });
    _methods.put("stopNormalServer", new int[] { 1, 2 });
    _methods.put("stopKillServer", new int[] { 1, 3 });
    _methods.put("restartServer", new int[] { 1, 4 });
    _methods.put("getServiceState", new int[] { 1, 5 });
    _methods.put("startService", new int[] { 1, 6 });
    _methods.put("restartService", new int[] { 1, 7 });
    _methods.put("stopNormalService", new int[] { 1, 8 });
    _methods.put("stopKillService", new int[] { 1, 9 });
    _methods.put("getServerAboutProperties", new int[] { 1, 10 });
    _methods.put("getServerEnvProperties", new int[] { 1, 11 });
    _methods.put("getServerGroupProperties", new int[] { 1, 12 });
    _methods.put("setServerProperty", new int[] { 1, 13 });
    _methods.put("addServerGroupProperty", new int[] { 1, 14 });
    _methods.put("removeServerGroupProperty", new int[] { 1, 15 });
    _methods.put("getServiceNames", new int[] { 1, 16 });
    _methods.put("getServiceNamesOfType", new int[] { 1, 17 });
    _methods.put("getServiceAboutProperties", new int[] { 1, 18 });
    _methods.put("getServiceEnvProperties", new int[] { 1, 19 });
    _methods.put("getServiceGroupProperties", new int[] { 1, 20 });
    _methods.put("addServiceGroupProperty", new int[] { 1, 21 });
    _methods.put("removeServiceGroupProperty", new int[] { 1, 22 });
    _methods.put("updateServiceProperties", new int[] { 1, 23 });
    _methods.put("getEJBJars", new int[] { 1, 24 });
    _methods.put("readEJBJarFile", new int[] { 1, 25 });
    _methods.put("writeEJBJarFile", new int[] { 1, 26 });
    _methods.put("removeEJBJarFile", new int[] { 1, 27 });
    _methods.put("getEjbsInJar", new int[] { 1, 28 });
    _methods.put("getNrEJBRoleMapLines", new int[] { 1, 29 });
    _methods.put("readEJBRoleMap", new int[] { 1, 30 });
    _methods.put("writeEJBRoleMap", new int[] { 1, 31 });
    _methods.put("getNrJavaOptionFileLines", new int[] { 1, 32 });
    _methods.put("readJavaOptionFile", new int[] { 1, 33 });
    _methods.put("writeJavaOptionFile", new int[] { 1, 34 });
    _methods.put("getRARs", new int[] { 1, 35 });
    _methods.put("readRARFile", new int[] { 1, 36 });
    _methods.put("writeRARFile", new int[] { 1, 37 });
    _methods.put("removeRARFile", new int[] { 1, 38 });
    _methods.put("getConnectorsInRar", new int[] { 1, 39 });
    _methods.put("getServerStateProperties", new int[] { 1, 40 });
    _methods.put("getServiceStateProperties", new int[] { 1, 41 });
    _methods.put("getLogTimestamp", new int[] { 1, 42 });
    _methods.put("getNrLogLines", new int[] { 1, 43 });
    _methods.put("getLogLines", new int[] { 1, 44 });
    _methods.put("getEjbContainerStateProperties", new int[] { 1, 45 });
    _methods.put("getEjbContainerSystemProperties", new int[] { 1, 46 });
    _methods.put("getEjbContainerStatistics", new int[] { 1, 47 });
    _methods.put("getConnectorContainerStateProperties", new int[] { 1, 48 });
    _methods.put("getConnectorContainerSystemProperties", new int[] { 1, 49 });
    _methods.put("getConnectorContainerStatistics", new int[] { 1, 50 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return com.inprise.server.idl.ServerManagerService_v4_1POA._invoke(this, method[1], _input, handler);
      }
      case 1: {
        return com.inprise.server.idl.ServerManagerServicePOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (com.inprise.server.idl.ServerManagerService_v4_1Operations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String logType;
      logType = _input.read_string();
      _self.clearLog(serviceName, logType);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.DeleteError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 1: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String logType;
      logType = _input.read_string();
      int startLine;
      startLine = _input.read_ulong();
      int maxNrLines;
      maxNrLines = _input.read_ulong();
      java.lang.String[] _result = _self.getLogNLines(serviceName, logType, startLine, 
                                                      maxNrLines);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    case 2: {
    try {
      java.lang.String serviceName;
      serviceName = _input.read_string();
      java.lang.String logType;
      logType = _input.read_string();
      int maxNrLines;
      maxNrLines = _input.read_ulong();
      java.lang.String[] _result = _self.getLogLastLines(serviceName, logType, 
                                                         maxNrLines);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
