package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_5
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_5:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_5 : com.inprise.server.idl.ServerManagerService_v4_1 {
  ...
};
 * </pre>
 */
public interface ServerManagerService_v4_5Operations extends com.inprise.server.idl.ServerManagerService_v4_1Operations {
  /**
   * <pre>
   *   com.inprise.util.ncs.FileManager getFileManager ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.util.ncs.FileManager getFileManager () throws com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARNames () throws com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void loadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEAR (java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void unloadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEAR (java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void reloadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEAR (java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEARProperties (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEARProperties (java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModules (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModules (java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                             com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEARModuleProperties (in string earName,
                                                                                              in string moduleName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEARModuleProperties (java.lang.String earName, 
                                                                                                     java.lang.String moduleName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listRARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listRARNames () throws com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getRARProperties (in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getRARProperties (java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listJARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listJARNames () throws com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getJARProperties (in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getJARProperties (java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByWebContainer (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByWebContainer (java.lang.String containerName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByWebContainer (in string containerName,
                                                                                                 in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByWebContainer (java.lang.String containerName, 
                                                                java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listWARNames (in string webContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listWARNames (java.lang.String webContainerName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                    com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getWARProperties (in string webContainerName,
                                                                                        in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getWARProperties (java.lang.String webContainerName, 
                                                                                               java.lang.String warName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void loadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadWAR (java.lang.String webContainerName, 
                       java.lang.String warName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void unloadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadWAR (java.lang.String webContainerName, 
                         java.lang.String warName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void reloadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadWAR (java.lang.String webContainerName, 
                         java.lang.String warName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void loadEJBJar (in string ejbContainerName, in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEJBJar (java.lang.String ejbContainerName, 
                          java.lang.String ejbJarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void unloadEJBJar (in string ejbContainerName, in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEJBJar (java.lang.String ejbContainerName, 
                            java.lang.String ejbJarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void reloadEJBJar (in string ejbContainerName, in string ejbjarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEJBJar (java.lang.String ejbContainerName, 
                            java.lang.String ejbjarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void loadEAREJBModule (in string ejbContainerName, in string earName,
                         in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEAREJBModule (java.lang.String ejbContainerName, 
                                java.lang.String earName, 
                                java.lang.String ejbJarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                    com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void unloadEAREJBModule (in string ejbContainerName, in string earName,
                           in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEAREJBModule (java.lang.String ejbContainerName, 
                                  java.lang.String earName, 
                                  java.lang.String ejbJarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void reloadEAREJBModule (in string ejbContainerName, in string earName,
                           in string ejbjarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEAREJBModule (java.lang.String ejbContainerName, 
                                  java.lang.String earName, 
                                  java.lang.String ejbjarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByEJBContainer (in string ejbContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByEJBContainer (java.lang.String ejbContainerName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                    com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByEJBContainer (in string ejbContainerName,
                                                                                                 in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByEJBContainer (java.lang.String ejbContainerName, 
                                                                java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listTomcat3Connectors (in string tomcat3ContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listTomcat3Connectors (java.lang.String tomcat3ContainerName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void addTomcat3Connector (in string tomcat3ContainerName,
                            in string connectorKey,
                            in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addTomcat3Connector (java.lang.String tomcat3ContainerName, 
                                   java.lang.String connectorKey, 
                                   com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void removeTomcat3Connector (in string tomcat3ContainerName,
                               in string connectorKey)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeTomcat3Connector (java.lang.String tomcat3ContainerName, 
                                      java.lang.String connectorKey) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                                                                                     in string connectorKey)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                                                                                            java.lang.String connectorKey) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void setTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                      in string connectorKey,
                                      in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void setTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                             java.lang.String connectorKey, 
                                             com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                               com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void removeTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                         in string connectorKey,
                                         in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                                java.lang.String connectorKey, 
                                                com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void loadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadRAR (java.lang.String connectorContainerName, 
                       java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void unloadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadRAR (java.lang.String connectorContainerName, 
                         java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void reloadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadRAR (java.lang.String connectorContainerName, 
                         java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void loadEARConnectorModule (in string connectorContainerName,
                               in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEARConnectorModule (java.lang.String connectorContainerName, 
                                      java.lang.String earName, 
                                      java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void unloadEARConnectorModule (in string connectorContainerName,
                                 in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEARConnectorModule (java.lang.String connectorContainerName, 
                                        java.lang.String earName, 
                                        java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   void reloadEARConnectorModule (in string connectorContainerName,
                                 in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEARConnectorModule (java.lang.String connectorContainerName, 
                                        java.lang.String earName, 
                                        java.lang.String rarName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByConnectorContainer (in string connectorContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByConnectorContainer (java.lang.String connectorContainerName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByConnectorContainer (in string connectorContainerName,
                                                                                                       in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByConnectorContainer (java.lang.String connectorContainerName, 
                                                                      java.lang.String earName) throws com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException;

}
