package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_5
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_5:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_5 : com.inprise.server.idl.ServerManagerService_v4_1 {
  ...
};
 * </pre>
 */
public abstract class ServerManagerService_v4_5POA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, com.inprise.server.idl.ServerManagerService_v4_5Operations {

  public com.inprise.server.idl.ServerManagerService_v4_5 _this () {
   return com.inprise.server.idl.ServerManagerService_v4_5Helper.narrow(super._this_object());
  }

  public com.inprise.server.idl.ServerManagerService_v4_5 _this (org.omg.CORBA.ORB orb) {
    return com.inprise.server.idl.ServerManagerService_v4_5Helper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _ids () {
    return __ids;
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/server/ServerManagerService_v4_5:1.0",
    "IDL:inprise.com/server/ServerManagerService_v4_1:1.0",
    "IDL:inprise.com/server/ServerManagerService:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("getFileManager", new int[] { 0, 0 });
    _methods.put("listEARNames", new int[] { 0, 1 });
    _methods.put("loadEAR", new int[] { 0, 2 });
    _methods.put("unloadEAR", new int[] { 0, 3 });
    _methods.put("reloadEAR", new int[] { 0, 4 });
    _methods.put("getEARProperties", new int[] { 0, 5 });
    _methods.put("listEARModules", new int[] { 0, 6 });
    _methods.put("getEARModuleProperties", new int[] { 0, 7 });
    _methods.put("listRARNames", new int[] { 0, 8 });
    _methods.put("getRARProperties", new int[] { 0, 9 });
    _methods.put("listJARNames", new int[] { 0, 10 });
    _methods.put("getJARProperties", new int[] { 0, 11 });
    _methods.put("listEARsHostedByWebContainer", new int[] { 0, 12 });
    _methods.put("listEARModulesHostedByWebContainer", new int[] { 0, 13 });
    _methods.put("listWARNames", new int[] { 0, 14 });
    _methods.put("getWARProperties", new int[] { 0, 15 });
    _methods.put("loadWAR", new int[] { 0, 16 });
    _methods.put("unloadWAR", new int[] { 0, 17 });
    _methods.put("reloadWAR", new int[] { 0, 18 });
    _methods.put("loadEJBJar", new int[] { 0, 19 });
    _methods.put("unloadEJBJar", new int[] { 0, 20 });
    _methods.put("reloadEJBJar", new int[] { 0, 21 });
    _methods.put("loadEAREJBModule", new int[] { 0, 22 });
    _methods.put("unloadEAREJBModule", new int[] { 0, 23 });
    _methods.put("reloadEAREJBModule", new int[] { 0, 24 });
    _methods.put("listEARsHostedByEJBContainer", new int[] { 0, 25 });
    _methods.put("listEARModulesHostedByEJBContainer", new int[] { 0, 26 });
    _methods.put("listTomcat3Connectors", new int[] { 0, 27 });
    _methods.put("addTomcat3Connector", new int[] { 0, 28 });
    _methods.put("removeTomcat3Connector", new int[] { 0, 29 });
    _methods.put("getTomcat3ConnectorProperties", new int[] { 0, 30 });
    _methods.put("setTomcat3ConnectorProperties", new int[] { 0, 31 });
    _methods.put("removeTomcat3ConnectorProperties", new int[] { 0, 32 });
    _methods.put("loadRAR", new int[] { 0, 33 });
    _methods.put("unloadRAR", new int[] { 0, 34 });
    _methods.put("reloadRAR", new int[] { 0, 35 });
    _methods.put("loadEARConnectorModule", new int[] { 0, 36 });
    _methods.put("unloadEARConnectorModule", new int[] { 0, 37 });
    _methods.put("reloadEARConnectorModule", new int[] { 0, 38 });
    _methods.put("listEARsHostedByConnectorContainer", new int[] { 0, 39 });
    _methods.put("listEARModulesHostedByConnectorContainer", new int[] { 0, 40 });
    _methods.put("clearLog", new int[] { 1, 0 });
    _methods.put("getLogNLines", new int[] { 1, 1 });
    _methods.put("getLogLastLines", new int[] { 1, 2 });
    _methods.put("shutdown", new int[] { 2, 0 });
    _methods.put("getServerState", new int[] { 2, 1 });
    _methods.put("stopNormalServer", new int[] { 2, 2 });
    _methods.put("stopKillServer", new int[] { 2, 3 });
    _methods.put("restartServer", new int[] { 2, 4 });
    _methods.put("getServiceState", new int[] { 2, 5 });
    _methods.put("startService", new int[] { 2, 6 });
    _methods.put("restartService", new int[] { 2, 7 });
    _methods.put("stopNormalService", new int[] { 2, 8 });
    _methods.put("stopKillService", new int[] { 2, 9 });
    _methods.put("getServerAboutProperties", new int[] { 2, 10 });
    _methods.put("getServerEnvProperties", new int[] { 2, 11 });
    _methods.put("getServerGroupProperties", new int[] { 2, 12 });
    _methods.put("setServerProperty", new int[] { 2, 13 });
    _methods.put("addServerGroupProperty", new int[] { 2, 14 });
    _methods.put("removeServerGroupProperty", new int[] { 2, 15 });
    _methods.put("getServiceNames", new int[] { 2, 16 });
    _methods.put("getServiceNamesOfType", new int[] { 2, 17 });
    _methods.put("getServiceAboutProperties", new int[] { 2, 18 });
    _methods.put("getServiceEnvProperties", new int[] { 2, 19 });
    _methods.put("getServiceGroupProperties", new int[] { 2, 20 });
    _methods.put("addServiceGroupProperty", new int[] { 2, 21 });
    _methods.put("removeServiceGroupProperty", new int[] { 2, 22 });
    _methods.put("updateServiceProperties", new int[] { 2, 23 });
    _methods.put("getEJBJars", new int[] { 2, 24 });
    _methods.put("readEJBJarFile", new int[] { 2, 25 });
    _methods.put("writeEJBJarFile", new int[] { 2, 26 });
    _methods.put("removeEJBJarFile", new int[] { 2, 27 });
    _methods.put("getEjbsInJar", new int[] { 2, 28 });
    _methods.put("getNrEJBRoleMapLines", new int[] { 2, 29 });
    _methods.put("readEJBRoleMap", new int[] { 2, 30 });
    _methods.put("writeEJBRoleMap", new int[] { 2, 31 });
    _methods.put("getNrJavaOptionFileLines", new int[] { 2, 32 });
    _methods.put("readJavaOptionFile", new int[] { 2, 33 });
    _methods.put("writeJavaOptionFile", new int[] { 2, 34 });
    _methods.put("getRARs", new int[] { 2, 35 });
    _methods.put("readRARFile", new int[] { 2, 36 });
    _methods.put("writeRARFile", new int[] { 2, 37 });
    _methods.put("removeRARFile", new int[] { 2, 38 });
    _methods.put("getConnectorsInRar", new int[] { 2, 39 });
    _methods.put("getServerStateProperties", new int[] { 2, 40 });
    _methods.put("getServiceStateProperties", new int[] { 2, 41 });
    _methods.put("getLogTimestamp", new int[] { 2, 42 });
    _methods.put("getNrLogLines", new int[] { 2, 43 });
    _methods.put("getLogLines", new int[] { 2, 44 });
    _methods.put("getEjbContainerStateProperties", new int[] { 2, 45 });
    _methods.put("getEjbContainerSystemProperties", new int[] { 2, 46 });
    _methods.put("getEjbContainerStatistics", new int[] { 2, 47 });
    _methods.put("getConnectorContainerStateProperties", new int[] { 2, 48 });
    _methods.put("getConnectorContainerSystemProperties", new int[] { 2, 49 });
    _methods.put("getConnectorContainerStatistics", new int[] { 2, 50 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return com.inprise.server.idl.ServerManagerService_v4_5POA._invoke(this, method[1], _input, handler);
      }
      case 1: {
        return com.inprise.server.idl.ServerManagerService_v4_1POA._invoke(this, method[1], _input, handler);
      }
      case 2: {
        return com.inprise.server.idl.ServerManagerServicePOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (com.inprise.server.idl.ServerManagerService_v4_5Operations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
    try {
      com.inprise.util.ncs.FileManager _result = _self.getFileManager();
      _output = _handler.createReply();
      com.inprise.util.ncs.FileManagerHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 1: {
    try {
      java.lang.String[] _result = _self.listEARNames();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 2: {
    try {
      java.lang.String earName;
      earName = _input.read_string();
      _self.loadEAR(earName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 3: {
    try {
      java.lang.String earName;
      earName = _input.read_string();
      _self.unloadEAR(earName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 4: {
    try {
      java.lang.String earName;
      earName = _input.read_string();
      _self.reloadEAR(earName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 5: {
    try {
      java.lang.String earName;
      earName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getEARProperties(earName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 6: {
    try {
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String[] _result = _self.listEARModules(earName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 7: {
    try {
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String moduleName;
      moduleName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getEARModuleProperties(earName, 
                                                                                                                 moduleName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 8: {
    try {
      java.lang.String[] _result = _self.listRARNames();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 9: {
    try {
      java.lang.String rarName;
      rarName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getRARProperties(rarName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 10: {
    try {
      java.lang.String[] _result = _self.listJARNames();
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 11: {
    try {
      java.lang.String rarName;
      rarName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getJARProperties(rarName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 12: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String[] _result = _self.listEARsHostedByWebContainer(containerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 13: {
    try {
      java.lang.String containerName;
      containerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String[] _result = _self.listEARModulesHostedByWebContainer(containerName, 
                                                                            earName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 14: {
    try {
      java.lang.String webContainerName;
      webContainerName = _input.read_string();
      java.lang.String[] _result = _self.listWARNames(webContainerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 15: {
    try {
      java.lang.String webContainerName;
      webContainerName = _input.read_string();
      java.lang.String warName;
      warName = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getWARProperties(webContainerName, 
                                                                                                           warName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 16: {
    try {
      java.lang.String webContainerName;
      webContainerName = _input.read_string();
      java.lang.String warName;
      warName = _input.read_string();
      _self.loadWAR(webContainerName, warName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 17: {
    try {
      java.lang.String webContainerName;
      webContainerName = _input.read_string();
      java.lang.String warName;
      warName = _input.read_string();
      _self.unloadWAR(webContainerName, warName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 18: {
    try {
      java.lang.String webContainerName;
      webContainerName = _input.read_string();
      java.lang.String warName;
      warName = _input.read_string();
      _self.reloadWAR(webContainerName, warName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 19: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String ejbJarName;
      ejbJarName = _input.read_string();
      _self.loadEJBJar(ejbContainerName, ejbJarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 20: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String ejbJarName;
      ejbJarName = _input.read_string();
      _self.unloadEJBJar(ejbContainerName, ejbJarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 21: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String ejbjarName;
      ejbjarName = _input.read_string();
      _self.reloadEJBJar(ejbContainerName, ejbjarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 22: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String ejbJarName;
      ejbJarName = _input.read_string();
      _self.loadEAREJBModule(ejbContainerName, earName, ejbJarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 23: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String ejbJarName;
      ejbJarName = _input.read_string();
      _self.unloadEAREJBModule(ejbContainerName, earName, ejbJarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 24: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String ejbjarName;
      ejbjarName = _input.read_string();
      _self.reloadEAREJBModule(ejbContainerName, earName, ejbjarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 25: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String[] _result = _self.listEARsHostedByEJBContainer(ejbContainerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 26: {
    try {
      java.lang.String ejbContainerName;
      ejbContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String[] _result = _self.listEARModulesHostedByEJBContainer(ejbContainerName, 
                                                                            earName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 27: {
    try {
      java.lang.String tomcat3ContainerName;
      tomcat3ContainerName = _input.read_string();
      java.lang.String[] _result = _self.listTomcat3Connectors(tomcat3ContainerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 28: {
    try {
      java.lang.String tomcat3ContainerName;
      tomcat3ContainerName = _input.read_string();
      java.lang.String connectorKey;
      connectorKey = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props;
      props = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
      _self.addTomcat3Connector(tomcat3ContainerName, connectorKey, props);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 29: {
    try {
      java.lang.String tomcat3ContainerName;
      tomcat3ContainerName = _input.read_string();
      java.lang.String connectorKey;
      connectorKey = _input.read_string();
      _self.removeTomcat3Connector(tomcat3ContainerName, connectorKey);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 30: {
    try {
      java.lang.String tomcat3ContainerName;
      tomcat3ContainerName = _input.read_string();
      java.lang.String connectorKey;
      connectorKey = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] _result = _self.getTomcat3ConnectorProperties(tomcat3ContainerName, 
                                                                                                                        connectorKey);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 31: {
    try {
      java.lang.String tomcat3ContainerName;
      tomcat3ContainerName = _input.read_string();
      java.lang.String connectorKey;
      connectorKey = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props;
      props = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
      _self.setTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey, props);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 32: {
    try {
      java.lang.String tomcat3ContainerName;
      tomcat3ContainerName = _input.read_string();
      java.lang.String connectorKey;
      connectorKey = _input.read_string();
      com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props;
      props = com.inprise.server.idl.ServerManagerServicePackage.StringPropertiesHelper.read(_input);
      _self.removeTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey, 
                                             props);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 33: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String rarName;
      rarName = _input.read_string();
      _self.loadRAR(connectorContainerName, rarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 34: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String rarName;
      rarName = _input.read_string();
      _self.unloadRAR(connectorContainerName, rarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 35: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String rarName;
      rarName = _input.read_string();
      _self.reloadRAR(connectorContainerName, rarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 36: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String rarName;
      rarName = _input.read_string();
      _self.loadEARConnectorModule(connectorContainerName, earName, rarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 37: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String rarName;
      rarName = _input.read_string();
      _self.unloadEARConnectorModule(connectorContainerName, earName, rarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 38: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String rarName;
      rarName = _input.read_string();
      _self.reloadEARConnectorModule(connectorContainerName, earName, rarName);
      _output = _handler.createReply();
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 39: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String[] _result = _self.listEARsHostedByConnectorContainer(connectorContainerName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    case 40: {
    try {
      java.lang.String connectorContainerName;
      connectorContainerName = _input.read_string();
      java.lang.String earName;
      earName = _input.read_string();
      java.lang.String[] _result = _self.listEARModulesHostedByConnectorContainer(connectorContainerName, 
                                                                                  earName);
      _output = _handler.createReply();
      com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.write(_output, _result);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.write(_output, _exception);
    }
    catch (com.inprise.server.idl.ServerManagerServicePackage.ServiceException _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.server.idl.ServerManagerServicePackage.ServiceExceptionHelper.write(_output, _exception);
    }
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
