
package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_5
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_5:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_5 : com.inprise.server.idl.ServerManagerService_v4_1 {
  ...
};
 * </pre>
 */
public class ServerManagerService_v4_5POATie extends ServerManagerService_v4_5POA {
  private com.inprise.server.idl.ServerManagerService_v4_5Operations _delegate;
  private org.omg.PortableServer.POA _poa;

  public ServerManagerService_v4_5POATie (final com.inprise.server.idl.ServerManagerService_v4_5Operations _delegate) {
    this._delegate = _delegate;
  }

  public ServerManagerService_v4_5POATie (final com.inprise.server.idl.ServerManagerService_v4_5Operations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public com.inprise.server.idl.ServerManagerService_v4_5Operations _delegate () {
    return this._delegate;
  }

  public void _delegate (final com.inprise.server.idl.ServerManagerService_v4_5Operations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void clearLog (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.DeleteError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public void clearLog (java.lang.String serviceName, 
                        java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.DeleteError, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    this._delegate.clearLog(serviceName, logType);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogNLines (in string serviceName,
                                                                           in string logType,
                                                                           in unsigned long startLine,
                                                                           in unsigned long maxNrLines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogNLines (java.lang.String serviceName, 
                                          java.lang.String logType, 
                                          int startLine, 
                                          int maxNrLines) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                  com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getLogNLines(serviceName, logType, startLine, maxNrLines);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogLastLines (in string serviceName,
                                                                              in string logType,
                                                                              in unsigned long maxNrLines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogLastLines (java.lang.String serviceName, 
                                             java.lang.String logType, 
                                             int maxNrLines) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getLogLastLines(serviceName, logType, maxNrLines);
  }

  /**
   * <pre>
   *   oneway void shutdown ();
   * </pre>
   */
  public void shutdown () {
    this._delegate.shutdown();
  }

  /**
   * <pre>
   *   unsigned short getServerState ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public short getServerState () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerState();
  }

  /**
   * <pre>
   *   oneway void stopNormalServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void stopNormalServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.stopNormalServer();
  }

  /**
   * <pre>
   *   oneway void stopKillServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void stopKillServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.stopKillServer();
  }

  /**
   * <pre>
   *   oneway void restartServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void restartServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.restartServer();
  }

  /**
   * <pre>
   *   unsigned short getServiceState (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public short getServiceState (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceState(serviceName);
  }

  /**
   * <pre>
   *   boolean startService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean startService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.startService(serviceName);
  }

  /**
   * <pre>
   *   boolean restartService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean restartService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.restartService(serviceName);
  }

  /**
   * <pre>
   *   boolean stopNormalService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean stopNormalService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.stopNormalService(serviceName);
  }

  /**
   * <pre>
   *   boolean stopKillService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean stopKillService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.stopKillService(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerAboutProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerAboutProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerAboutProperties();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerEnvProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerEnvProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerEnvProperties();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerGroupProperties (in string propertyGroup)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerGroupProperties (java.lang.String propertyGroup) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerGroupProperties(propertyGroup);
  }

  /**
   * <pre>
   *   void setServerProperty (in string name, in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void setServerProperty (java.lang.String name, 
                                 java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.setServerProperty(name, value);
  }

  /**
   * <pre>
   *   void addServerGroupProperty (in string propertyGroup, in string name,
                               in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addServerGroupProperty (java.lang.String propertyGroup, 
                                      java.lang.String name, 
                                      java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.addServerGroupProperty(propertyGroup, name, value);
  }

  /**
   * <pre>
   *   void removeServerGroupProperty (in string propertyGroup, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeServerGroupProperty (java.lang.String propertyGroup, 
                                         java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.removeServerGroupProperty(propertyGroup, name);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getServiceNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getServiceNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceNames();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getServiceNamesOfType (in string type)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getServiceNamesOfType (java.lang.String type) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceNamesOfType(type);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceAboutProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceAboutProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceAboutProperties(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceEnvProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceEnvProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceEnvProperties(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceGroupProperties (in string serviceName,
                                                                                                 in string propertyGroup)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceGroupProperties (java.lang.String serviceName, 
                                                                                                        java.lang.String propertyGroup) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceGroupProperties(serviceName, propertyGroup);
  }

  /**
   * <pre>
   *   void addServiceGroupProperty (in string serviceName,
                                in string propertyGroup, in string name,
                                in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addServiceGroupProperty (java.lang.String serviceName, 
                                       java.lang.String propertyGroup, 
                                       java.lang.String name, 
                                       java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.addServiceGroupProperty(serviceName, propertyGroup, name, value);
  }

  /**
   * <pre>
   *   void removeServiceGroupProperty (in string serviceName,
                                   in string propertyGroup, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeServiceGroupProperty (java.lang.String serviceName, 
                                          java.lang.String propertyGroup, 
                                          java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.removeServiceGroupProperty(serviceName, propertyGroup, name);
  }

  /**
   * <pre>
   *   void updateServiceProperties (in string serviceName,
                                in com.inprise.server.idl.ServerManagerServicePackage.StringProperties properties)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void updateServiceProperties (java.lang.String serviceName, 
                                       com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] properties) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                               com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.updateServiceProperties(serviceName, properties);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getEJBJars (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] getEJBJars (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.getEJBJars(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Bytes readEJBJarFile (in string containerName,
                                                                           in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public byte[] readEJBJarFile (java.lang.String containerName, 
                                java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.readEJBJarFile(containerName, name);
  }

  /**
   * <pre>
   *   void writeEJBJarFile (in string containerName, in string name,
                        in com.inprise.server.idl.ServerManagerServicePackage.Bytes bytes)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeEJBJarFile (java.lang.String containerName, 
                               java.lang.String name, 
                               byte[] bytes) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                     com.inprise.server.idl.ServerManagerServicePackage.WriteError {
    this._delegate.writeEJBJarFile(containerName, name, bytes);
  }

  /**
   * <pre>
   *   void removeEJBJarFile (in string containerName, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.DeleteError);
   * </pre>
   */
  public void removeEJBJarFile (java.lang.String containerName, 
                                java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.DeleteError {
    this._delegate.removeEJBJarFile(containerName, name);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getEjbsInJar (in string containerName,
                                                                           in string jarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getEjbsInJar (java.lang.String containerName, 
                                          java.lang.String jarName) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbsInJar(containerName, jarName);
  }

  /**
   * <pre>
   *   unsigned long getNrEJBRoleMapLines (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getNrEJBRoleMapLines (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getNrEJBRoleMapLines(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings readEJBRoleMap (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] readEJBRoleMap (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                                  com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.readEJBRoleMap(serviceName);
  }

  /**
   * <pre>
   *   void writeEJBRoleMap (in string serviceName,
                        in com.inprise.server.idl.ServerManagerServicePackage.Strings lines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.WriteError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public void writeEJBRoleMap (java.lang.String serviceName, 
                               java.lang.String[] lines) throws  com.inprise.server.idl.ServerManagerServicePackage.WriteError, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    this._delegate.writeEJBRoleMap(serviceName, lines);
  }

  /**
   * <pre>
   *   unsigned long getNrJavaOptionFileLines ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public int getNrJavaOptionFileLines () throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.getNrJavaOptionFileLines();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings readJavaOptionFile ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] readJavaOptionFile () throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.readJavaOptionFile();
  }

  /**
   * <pre>
   *   void writeJavaOptionFile (in com.inprise.server.idl.ServerManagerServicePackage.Strings lines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeJavaOptionFile (java.lang.String[] lines) throws  com.inprise.server.idl.ServerManagerServicePackage.WriteError {
    this._delegate.writeJavaOptionFile(lines);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getRARs (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] getRARs (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                             com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.getRARs(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Bytes readRARFile (in string containerName,
                                                                        in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public byte[] readRARFile (java.lang.String containerName, 
                             java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                            com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.readRARFile(containerName, name);
  }

  /**
   * <pre>
   *   void writeRARFile (in string containerName, in string name,
                     in com.inprise.server.idl.ServerManagerServicePackage.Bytes bytes)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeRARFile (java.lang.String containerName, 
                            java.lang.String name, 
                            byte[] bytes) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                  com.inprise.server.idl.ServerManagerServicePackage.WriteError {
    this._delegate.writeRARFile(containerName, name, bytes);
  }

  /**
   * <pre>
   *   void removeRARFile (in string containerName, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.DeleteError);
   * </pre>
   */
  public void removeRARFile (java.lang.String containerName, 
                             java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                            com.inprise.server.idl.ServerManagerServicePackage.DeleteError {
    this._delegate.removeRARFile(containerName, name);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getConnectorsInRar (in string containerName,
                                                                                 in string jarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getConnectorsInRar (java.lang.String containerName, 
                                                java.lang.String jarName) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorsInRar(containerName, jarName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerStateProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerStateProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerStateProperties();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceStateProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceStateProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceStateProperties(serviceName);
  }

  /**
   * <pre>
   *   unsigned long getLogTimestamp (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getLogTimestamp (java.lang.String serviceName, 
                              java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getLogTimestamp(serviceName, logType);
  }

  /**
   * <pre>
   *   unsigned long getNrLogLines (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getNrLogLines (java.lang.String serviceName, 
                            java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getNrLogLines(serviceName, logType);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogLines (in string serviceName,
                                                                          in string logType,
                                                                          in unsigned long startLine,
                                                                          in unsigned long endLine)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogLines (java.lang.String serviceName, 
                                         java.lang.String logType, 
                                         int startLine, 
                                         int endLine) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getLogLines(serviceName, logType, startLine, endLine);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerStateProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerStateProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbContainerStateProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerSystemProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerSystemProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbContainerSystemProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerStatistics (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerStatistics (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbContainerStatistics(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerStateProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerStateProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorContainerStateProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerSystemProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerSystemProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorContainerSystemProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerStatistics (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerStatistics (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorContainerStatistics(containerName);
  }

  /**
   * <pre>
   *   com.inprise.util.ncs.FileManager getFileManager ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.util.ncs.FileManager getFileManager () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getFileManager();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARNames();
  }

  /**
   * <pre>
   *   void loadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEAR (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.loadEAR(earName);
  }

  /**
   * <pre>
   *   void unloadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEAR (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.unloadEAR(earName);
  }

  /**
   * <pre>
   *   void reloadEAR (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEAR (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.reloadEAR(earName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEARProperties (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEARProperties (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEARProperties(earName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModules (in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModules (java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARModules(earName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEARModuleProperties (in string earName,
                                                                                              in string moduleName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEARModuleProperties (java.lang.String earName, 
                                                                                                     java.lang.String moduleName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEARModuleProperties(earName, moduleName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listRARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listRARNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listRARNames();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getRARProperties (in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getRARProperties (java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getRARProperties(rarName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listJARNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listJARNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listJARNames();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getJARProperties (in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getJARProperties (java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getJARProperties(rarName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByWebContainer (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByWebContainer (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARsHostedByWebContainer(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByWebContainer (in string containerName,
                                                                                                 in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByWebContainer (java.lang.String containerName, 
                                                                java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARModulesHostedByWebContainer(containerName, earName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listWARNames (in string webContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listWARNames (java.lang.String webContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listWARNames(webContainerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getWARProperties (in string webContainerName,
                                                                                        in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getWARProperties (java.lang.String webContainerName, 
                                                                                               java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getWARProperties(webContainerName, warName);
  }

  /**
   * <pre>
   *   void loadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadWAR (java.lang.String webContainerName, 
                       java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.loadWAR(webContainerName, warName);
  }

  /**
   * <pre>
   *   void unloadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadWAR (java.lang.String webContainerName, 
                         java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.unloadWAR(webContainerName, warName);
  }

  /**
   * <pre>
   *   void reloadWAR (in string webContainerName, in string warName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadWAR (java.lang.String webContainerName, 
                         java.lang.String warName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.reloadWAR(webContainerName, warName);
  }

  /**
   * <pre>
   *   void loadEJBJar (in string ejbContainerName, in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEJBJar (java.lang.String ejbContainerName, 
                          java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.loadEJBJar(ejbContainerName, ejbJarName);
  }

  /**
   * <pre>
   *   void unloadEJBJar (in string ejbContainerName, in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEJBJar (java.lang.String ejbContainerName, 
                            java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.unloadEJBJar(ejbContainerName, ejbJarName);
  }

  /**
   * <pre>
   *   void reloadEJBJar (in string ejbContainerName, in string ejbjarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEJBJar (java.lang.String ejbContainerName, 
                            java.lang.String ejbjarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.reloadEJBJar(ejbContainerName, ejbjarName);
  }

  /**
   * <pre>
   *   void loadEAREJBModule (in string ejbContainerName, in string earName,
                         in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEAREJBModule (java.lang.String ejbContainerName, 
                                java.lang.String earName, 
                                java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.loadEAREJBModule(ejbContainerName, earName, ejbJarName);
  }

  /**
   * <pre>
   *   void unloadEAREJBModule (in string ejbContainerName, in string earName,
                           in string ejbJarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEAREJBModule (java.lang.String ejbContainerName, 
                                  java.lang.String earName, 
                                  java.lang.String ejbJarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.unloadEAREJBModule(ejbContainerName, earName, ejbJarName);
  }

  /**
   * <pre>
   *   void reloadEAREJBModule (in string ejbContainerName, in string earName,
                           in string ejbjarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEAREJBModule (java.lang.String ejbContainerName, 
                                  java.lang.String earName, 
                                  java.lang.String ejbjarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.reloadEAREJBModule(ejbContainerName, earName, ejbjarName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByEJBContainer (in string ejbContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByEJBContainer (java.lang.String ejbContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARsHostedByEJBContainer(ejbContainerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByEJBContainer (in string ejbContainerName,
                                                                                                 in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByEJBContainer (java.lang.String ejbContainerName, 
                                                                java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARModulesHostedByEJBContainer(ejbContainerName, 
                                                             earName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listTomcat3Connectors (in string tomcat3ContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listTomcat3Connectors (java.lang.String tomcat3ContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listTomcat3Connectors(tomcat3ContainerName);
  }

  /**
   * <pre>
   *   void addTomcat3Connector (in string tomcat3ContainerName,
                            in string connectorKey,
                            in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addTomcat3Connector (java.lang.String tomcat3ContainerName, 
                                   java.lang.String connectorKey, 
                                   com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.addTomcat3Connector(tomcat3ContainerName, connectorKey, props);
  }

  /**
   * <pre>
   *   void removeTomcat3Connector (in string tomcat3ContainerName,
                               in string connectorKey)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeTomcat3Connector (java.lang.String tomcat3ContainerName, 
                                      java.lang.String connectorKey) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                             com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.removeTomcat3Connector(tomcat3ContainerName, connectorKey);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                                                                                     in string connectorKey)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                                                                                            java.lang.String connectorKey) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                   com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey);
  }

  /**
   * <pre>
   *   void setTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                      in string connectorKey,
                                      in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void setTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                             java.lang.String connectorKey, 
                                             com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.setTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey, 
                                                 props);
  }

  /**
   * <pre>
   *   void removeTomcat3ConnectorProperties (in string tomcat3ContainerName,
                                         in string connectorKey,
                                         in com.inprise.server.idl.ServerManagerServicePackage.StringProperties props)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeTomcat3ConnectorProperties (java.lang.String tomcat3ContainerName, 
                                                java.lang.String connectorKey, 
                                                com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] props) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                   com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.removeTomcat3ConnectorProperties(tomcat3ContainerName, connectorKey, 
                                                    props);
  }

  /**
   * <pre>
   *   void loadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadRAR (java.lang.String connectorContainerName, 
                       java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.loadRAR(connectorContainerName, rarName);
  }

  /**
   * <pre>
   *   void unloadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadRAR (java.lang.String connectorContainerName, 
                         java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.unloadRAR(connectorContainerName, rarName);
  }

  /**
   * <pre>
   *   void reloadRAR (in string connectorContainerName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadRAR (java.lang.String connectorContainerName, 
                         java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.reloadRAR(connectorContainerName, rarName);
  }

  /**
   * <pre>
   *   void loadEARConnectorModule (in string connectorContainerName,
                               in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void loadEARConnectorModule (java.lang.String connectorContainerName, 
                                      java.lang.String earName, 
                                      java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.loadEARConnectorModule(connectorContainerName, earName, rarName);
  }

  /**
   * <pre>
   *   void unloadEARConnectorModule (in string connectorContainerName,
                                 in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void unloadEARConnectorModule (java.lang.String connectorContainerName, 
                                        java.lang.String earName, 
                                        java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.unloadEARConnectorModule(connectorContainerName, earName, rarName);
  }

  /**
   * <pre>
   *   void reloadEARConnectorModule (in string connectorContainerName,
                                 in string earName, in string rarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void reloadEARConnectorModule (java.lang.String connectorContainerName, 
                                        java.lang.String earName, 
                                        java.lang.String rarName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.reloadEARConnectorModule(connectorContainerName, earName, rarName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARsHostedByConnectorContainer (in string connectorContainerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARsHostedByConnectorContainer (java.lang.String connectorContainerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                 com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARsHostedByConnectorContainer(connectorContainerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings listEARModulesHostedByConnectorContainer (in string connectorContainerName,
                                                                                                       in string earName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] listEARModulesHostedByConnectorContainer (java.lang.String connectorContainerName, 
                                                                      java.lang.String earName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.listEARModulesHostedByConnectorContainer(connectorContainerName, 
                                                                   earName);
  }

}
