package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService_v4_1
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService_v4_1:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService_v4_1 : com.inprise.server.idl.ServerManagerService {
  ...
};
 * </pre>
 */
public class _ServerManagerService_v4_1Stub extends com.inprise.server.idl._ServerManagerServiceStub implements com.inprise.server.idl.ServerManagerService_v4_1 {
  final public static java.lang.Class _opsClass = com.inprise.server.idl.ServerManagerService_v4_1Operations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/server/ServerManagerService_v4_1:1.0",
    "IDL:inprise.com/server/ServerManagerService:1.0"
  };

  /**
   * <pre>
   *   void clearLog (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.DeleteError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public void clearLog (java.lang.String serviceName, 
                        java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.DeleteError, 
                                                          com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      try {
        _output = this._request("clearLog", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)logType);
        _input = this._invoke(_output);
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.DeleteErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("clearLog", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_1Operations _self = (com.inprise.server.idl.ServerManagerService_v4_1Operations)_so.servant;
      try {
        _self.clearLog(serviceName, logType);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
      } catch (com.inprise.server.idl.ServerManagerServicePackage.DeleteError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    break;
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogNLines (in string serviceName,
                                                                           in string logType,
                                                                           in unsigned long startLine,
                                                                           in unsigned long maxNrLines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogNLines (java.lang.String serviceName, 
                                          java.lang.String logType, 
                                          int startLine, 
                                          int maxNrLines) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                  com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getLogNLines", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)logType);
        _output.write_ulong((int)startLine);
        _output.write_ulong((int)maxNrLines);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getLogNLines", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_1Operations _self = (com.inprise.server.idl.ServerManagerService_v4_1Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getLogNLines(serviceName, logType, startLine, 
                                                     maxNrLines);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogLastLines (in string serviceName,
                                                                              in string logType,
                                                                              in unsigned long maxNrLines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogLastLines (java.lang.String serviceName, 
                                             java.lang.String logType, 
                                             int maxNrLines) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.UnknownName {

    while (true) {
    if (!_is_local()) {
      org.omg.CORBA.portable.OutputStream _output = null;
      org.omg.CORBA.portable.InputStream  _input  = null;
      java.lang.String[] _result;
      try {
        _output = this._request("getLogLastLines", true);
        _output.write_string((java.lang.String)serviceName);
        _output.write_string((java.lang.String)logType);
        _output.write_ulong((int)maxNrLines);
        _input = this._invoke(_output);
        _result = com.inprise.server.idl.ServerManagerServicePackage.StringsHelper.read(_input);
        return _result;
      }
      catch (org.omg.CORBA.portable.ApplicationException _exception) {
        final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
        java.lang.String _exception_id = _exception.getId();
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.ReadErrorHelper.read(_exception.getInputStream());
        }
        if (_exception_id.equals(com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.id())) {
          throw           com.inprise.server.idl.ServerManagerServicePackage.UnknownNameHelper.read(_exception.getInputStream());
        }
        throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
      }
      catch (org.omg.CORBA.portable.RemarshalException _exception) {
        continue;
      }
      finally {
        this._releaseReply(_input);
      }
    } else {
      final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getLogLastLines", _opsClass);
      if (_so == null) {
        continue;
      }
      final com.inprise.server.idl.ServerManagerService_v4_1Operations _self = (com.inprise.server.idl.ServerManagerService_v4_1Operations)_so.servant;
      try {
        java.lang.String[] _ret = _self.getLogLastLines(serviceName, logType, maxNrLines);
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).normalCompletion();
        }
        return _ret;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.ReadError x_1) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_1);
        }
        throw x_1;
      } catch (com.inprise.server.idl.ServerManagerServicePackage.UnknownName x_2) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)x_2);
        }
        throw x_2;
      } catch (java.lang.RuntimeException re) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)re);
        }
        throw re;
      } catch (java.lang.Error err) {
        if (_so instanceof org.omg.CORBA.portable.ServantObjectExt) {
          ((org.omg.CORBA.portable.ServantObjectExt)_so).exceptionalCompletion((Throwable)err);
        }
        throw err;
      } finally {
        _servant_postinvoke(_so);
      }
    }
    }
  }

}
