package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileAttr
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileAttr:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * struct FileAttr {
  ...
};
 * </pre>
 */
public final class FileAttr implements org.omg.CORBA.portable.IDLEntity {
  
  public java.lang.String name;
  
  public java.lang.String path;
  
  public java.lang.String CanonicalPath;
  
  public java.lang.String parent;
  
  public boolean canRead;
  
  public boolean canWrite;
  
  public boolean isHidden;
  
  public boolean isFile;
  
  public boolean isDirectory;
  
  public long lastModified;
  
  public long length;

  public FileAttr () {
  }

  public FileAttr (final java.lang.String name, 
                   final java.lang.String path, 
                   final java.lang.String CanonicalPath, 
                   final java.lang.String parent, 
                   final boolean canRead, 
                   final boolean canWrite, 
                   final boolean isHidden, 
                   final boolean isFile, 
                   final boolean isDirectory, 
                   final long lastModified, 
                   final long length) {
    this.name = name;
    this.path = path;
    this.CanonicalPath = CanonicalPath;
    this.parent = parent;
    this.canRead = canRead;
    this.canWrite = canWrite;
    this.isHidden = isHidden;
    this.isFile = isFile;
    this.isDirectory = isDirectory;
    this.lastModified = lastModified;
    this.length = length;
  }

  public java.lang.String toString() {
    final java.lang.StringBuffer _ret = new java.lang.StringBuffer("struct com.inprise.util.ncs.FileAttr {");
    _ret.append("\n");
    _ret.append("java.lang.String name=");
    _ret.append(name != null?'\"' + name + '\"':null);
    _ret.append(",\n");
    _ret.append("java.lang.String path=");
    _ret.append(path != null?'\"' + path + '\"':null);
    _ret.append(",\n");
    _ret.append("java.lang.String CanonicalPath=");
    _ret.append(CanonicalPath != null?'\"' + CanonicalPath + '\"':null);
    _ret.append(",\n");
    _ret.append("java.lang.String parent=");
    _ret.append(parent != null?'\"' + parent + '\"':null);
    _ret.append(",\n");
    _ret.append("boolean canRead=");
    _ret.append(canRead);
    _ret.append(",\n");
    _ret.append("boolean canWrite=");
    _ret.append(canWrite);
    _ret.append(",\n");
    _ret.append("boolean isHidden=");
    _ret.append(isHidden);
    _ret.append(",\n");
    _ret.append("boolean isFile=");
    _ret.append(isFile);
    _ret.append(",\n");
    _ret.append("boolean isDirectory=");
    _ret.append(isDirectory);
    _ret.append(",\n");
    _ret.append("long lastModified=");
    _ret.append(lastModified);
    _ret.append(",\n");
    _ret.append("long length=");
    _ret.append(length);
    _ret.append("\n");
    _ret.append("}");
    return _ret.toString();
  }

  public boolean equals (java.lang.Object o) {
    if (this == o) return true;
    if (o == null) return false;

    if (o instanceof com.inprise.util.ncs.FileAttr) {
      final com.inprise.util.ncs.FileAttr obj = (com.inprise.util.ncs.FileAttr)o;
      boolean res = true;
      do {
        res = this.name == obj.name ||
         (this.name != null && obj.name != null && this.name.equals(obj.name));
        if (!res) break;
        res = this.path == obj.path ||
         (this.path != null && obj.path != null && this.path.equals(obj.path));
        if (!res) break;
        res = this.CanonicalPath == obj.CanonicalPath ||
         (this.CanonicalPath != null && obj.CanonicalPath != null && this.CanonicalPath.equals(obj.CanonicalPath));
        if (!res) break;
        res = this.parent == obj.parent ||
         (this.parent != null && obj.parent != null && this.parent.equals(obj.parent));
        if (!res) break;
        res = this.canRead == obj.canRead;
        if (!res) break;
        res = this.canWrite == obj.canWrite;
        if (!res) break;
        res = this.isHidden == obj.isHidden;
        if (!res) break;
        res = this.isFile == obj.isFile;
        if (!res) break;
        res = this.isDirectory == obj.isDirectory;
        if (!res) break;
        res = this.lastModified == obj.lastModified;
        if (!res) break;
        res = this.length == obj.length;
      } while (false);
      return res;
    }
    else {
      return false;
    }
  }
}
