
package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileManager
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileManager:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileManager {
  ...
};
 * </pre>
 */
public class FileManagerPOATie extends FileManagerPOA {
  private com.inprise.util.ncs.FileManagerOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public FileManagerPOATie (final com.inprise.util.ncs.FileManagerOperations _delegate) {
    this._delegate = _delegate;
  }

  public FileManagerPOATie (final com.inprise.util.ncs.FileManagerOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public com.inprise.util.ncs.FileManagerOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final com.inprise.util.ncs.FileManagerOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   com.inprise.util.ncs.Navigator register (in string name);
   * </pre>
   */
  public com.inprise.util.ncs.Navigator register (java.lang.String name) {
    return this._delegate.register(name);
  }

  /**
   * <pre>
   *   boolean deregister (in com.inprise.util.ncs.Navigator handle);
   * </pre>
   */
  public boolean deregister (com.inprise.util.ncs.Navigator handle) {
    return this._delegate.deregister(handle);
  }

}
