package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileTypeError
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileTypeError:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * exception FileTypeError {
  ...
};
 * </pre>
 */
public final class FileTypeError extends org.omg.CORBA.UserException {
  
  public java.lang.String reason;
  
  public int severity;

  public FileTypeError () {
    super(com.inprise.util.ncs.FileTypeErrorHelper.id());
  }

  public FileTypeError (java.lang.String reason,
                        int severity) {
    this();
    this.reason = reason;
    this.severity = severity;
  }

  public FileTypeError (java.lang.String _reason, java.lang.String reason, 
                                                  int severity) {
    super(com.inprise.util.ncs.FileTypeErrorHelper.id() + ' ' + _reason);
    this.reason = reason;
    this.severity = severity;
  }

  public java.lang.String toString () {
    final java.lang.StringBuffer _ret = new java.lang.StringBuffer("exception com.inprise.util.ncs.FileTypeError {");
    _ret.append("\n");
    _ret.append("java.lang.String reason=");
    _ret.append(reason != null?'\"' + reason + '\"':null);
    _ret.append(",\n");
    _ret.append("int severity=");
    _ret.append(severity);
    _ret.append("\n");
    _ret.append("}");
    return _ret.toString();
  }

  public boolean equals (java.lang.Object o) {
    if (this == o) return true;
    if (o == null) return false;
    if (o instanceof com.inprise.util.ncs.FileTypeError) {
      final com.inprise.util.ncs.FileTypeError obj = (com.inprise.util.ncs.FileTypeError)o;
      boolean res = true;
      do {
        res = this.reason == obj.reason ||
         (this.reason != null && obj.reason != null && this.reason.equals(obj.reason));
        if (!res) break;
        res = this.severity == obj.severity;
      } while (false);
      return res;
    }
    else {
      return false;
    }
  }
}
