package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::UnpackError
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/UnpackError:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * exception UnpackError {
  ...
};
 * </pre>
 */
public final class UnpackErrorHelper {
  private static org.omg.CORBA.TypeCode _type;
  private static boolean _initializing;

  private static org.omg.CORBA.ORB _orb () {
    return org.omg.CORBA.ORB.init();
  }

  public static com.inprise.util.ncs.UnpackError read (final org.omg.CORBA.portable.InputStream _input) {
    if (!_input.read_string().equals(id())) {
      throw new org.omg.CORBA.MARSHAL("Mismatched repository id");
    }
    final com.inprise.util.ncs.UnpackError _result = new com.inprise.util.ncs.UnpackError();
    _result.reason = _input.read_string();
    _result.severity = _input.read_long();
    return _result;
  }

  public static void write (final org.omg.CORBA.portable.OutputStream _output, final com.inprise.util.ncs.UnpackError _vis_value) {
    _output.write_string(id());
    _output.write_string((java.lang.String)_vis_value.reason);
    _output.write_long((int)_vis_value.severity);
  }

  public static void insert (final org.omg.CORBA.Any any, final com.inprise.util.ncs.UnpackError _vis_value) {
    any.insert_Streamable(new com.inprise.util.ncs.UnpackErrorHolder(_vis_value));
  }

  public static com.inprise.util.ncs.UnpackError extract (final org.omg.CORBA.Any any) {
    com.inprise.util.ncs.UnpackError _vis_value;
    if (any instanceof com.inprise.vbroker.CORBA.Any) {
      com.inprise.util.ncs.UnpackErrorHolder _vis_holder = new com.inprise.util.ncs.UnpackErrorHolder();
      ((com.inprise.vbroker.CORBA.Any)any).extract_Streamable(_vis_holder);
      _vis_value = _vis_holder.value;
    }
    else {
      _vis_value = com.inprise.util.ncs.UnpackErrorHelper.read(any.create_input_stream());
    }
    return _vis_value;
  }

  public static org.omg.CORBA.TypeCode type () {
    if (_type == null) {
      synchronized (org.omg.CORBA.TypeCode.class) {
        if (_type == null) {
          final org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[2];
          members[0] = new org.omg.CORBA.StructMember("reason", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_string), null);
          members[1] = new org.omg.CORBA.StructMember("severity", _orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_long), null);
          _type = _orb().create_exception_tc(id(), "UnpackError", members);
        }
      }
    }
    return _type;
  }

  public static java.lang.String id () {
    return "IDL:inprise.com/util/ncs/UnpackError:1.0";
  }
}
